//line sql.y:18
package sqlparser

import __yyfmt__ "fmt"

//line sql.y:18
func setParseTree(yylex interface{}, stmt Statement) {
	yylex.(*Tokenizer).ParseTree = stmt
}

func setAllowComments(yylex interface{}, allow bool) {
	yylex.(*Tokenizer).AllowComments = allow
}

func setDDL(yylex interface{}, ddl *DDL) {
	yylex.(*Tokenizer).partialDDL = ddl
}

func incNesting(yylex interface{}) bool {
	yylex.(*Tokenizer).nesting++
	if yylex.(*Tokenizer).nesting == 200 {
		return true
	}
	return false
}

func decNesting(yylex interface{}) {
	yylex.(*Tokenizer).nesting--
}

func forceEOF(yylex interface{}) {
	yylex.(*Tokenizer).ForceEOF = true
}

//line sql.y:50
type yySymType struct {
	yys               int
	empty             struct{}
	statement         Statement
	selStmt           SelectStatement
	ddl               *DDL
	ins               *Insert
	byt               byte
	bytes             []byte
	bytes2            [][]byte
	str               string
	strs              []string
	selectExprs       SelectExprs
	selectExpr        SelectExpr
	columns           Columns
	colName           *ColName
	tableExprs        TableExprs
	tableExpr         TableExpr
	tableName         TableName
	indexHints        *IndexHints
	expr              Expr
	exprs             Exprs
	boolVal           BoolVal
	colTuple          ColTuple
	values            Values
	valTuple          ValTuple
	subquery          *Subquery
	whens             []*When
	when              *When
	orderBy           OrderBy
	order             *Order
	limit             *Limit
	updateExprs       UpdateExprs
	updateExpr        *UpdateExpr
	setExprs          SetExprs
	setExpr           *SetExpr
	colIdent          ColIdent
	colIdents         []ColIdent
	tableIdent        TableIdent
	convertType       *ConvertType
	aliasedTableName  *AliasedTableExpr
	TableSpec         *TableSpec
	TableOptions      TableOptions
	columnType        ColumnType
	colKeyOpt         ColumnKeyOption
	optVal            *SQLVal
	LengthScaleOption LengthScaleOption
	columnDefinition  *ColumnDefinition
	indexDefinition   *IndexDefinition
	indexInfo         *IndexInfo
	indexColumn       *IndexColumn
	indexColumns      []*IndexColumn
}

const LEX_ERROR = 57346
const UNION = 57347
const SELECT = 57348
const INSERT = 57349
const UPDATE = 57350
const DELETE = 57351
const FROM = 57352
const WHERE = 57353
const GROUP = 57354
const HAVING = 57355
const ORDER = 57356
const BY = 57357
const LIMIT = 57358
const OFFSET = 57359
const FOR = 57360
const ALL = 57361
const DISTINCT = 57362
const AS = 57363
const EXISTS = 57364
const ASC = 57365
const DESC = 57366
const INTO = 57367
const DUPLICATE = 57368
const KEY = 57369
const DEFAULT = 57370
const SET = 57371
const LOCK = 57372
const FULL = 57373
const VALUES = 57374
const LAST_INSERT_ID = 57375
const NEXT = 57376
const VALUE = 57377
const SHARE = 57378
const MODE = 57379
const SQL_NO_CACHE = 57380
const SQL_CACHE = 57381
const JOIN = 57382
const STRAIGHT_JOIN = 57383
const LEFT = 57384
const RIGHT = 57385
const INNER = 57386
const OUTER = 57387
const CROSS = 57388
const NATURAL = 57389
const USE = 57390
const FORCE = 57391
const ON = 57392
const ID = 57393
const HEX = 57394
const STRING = 57395
const INTEGRAL = 57396
const FLOAT = 57397
const HEXNUM = 57398
const VALUE_ARG = 57399
const LIST_ARG = 57400
const COMMENT = 57401
const COMMENT_KEYWORD = 57402
const NULL = 57403
const TRUE = 57404
const FALSE = 57405
const OFF = 57406
const OR = 57407
const AND = 57408
const NOT = 57409
const BETWEEN = 57410
const CASE = 57411
const WHEN = 57412
const THEN = 57413
const ELSE = 57414
const END = 57415
const LE = 57416
const GE = 57417
const NE = 57418
const NULL_SAFE_EQUAL = 57419
const IS = 57420
const LIKE = 57421
const REGEXP = 57422
const IN = 57423
const SHIFT_LEFT = 57424
const SHIFT_RIGHT = 57425
const DIV = 57426
const MOD = 57427
const UNARY = 57428
const COLLATE = 57429
const BINARY = 57430
const INTERVAL = 57431
const JSON_EXTRACT_OP = 57432
const JSON_UNQUOTE_EXTRACT_OP = 57433
const CREATE = 57434
const ALTER = 57435
const DROP = 57436
const RENAME = 57437
const ANALYZE = 57438
const ADD = 57439
const MODIFY = 57440
const TABLE = 57441
const INDEX = 57442
const VIEW = 57443
const TO = 57444
const IGNORE = 57445
const IF = 57446
const UNIQUE = 57447
const USING = 57448
const PRIMARY = 57449
const COLUMN = 57450
const SHOW = 57451
const DESCRIBE = 57452
const EXPLAIN = 57453
const DATE = 57454
const ESCAPE = 57455
const REPAIR = 57456
const OPTIMIZE = 57457
const TRUNCATE = 57458
const BIT = 57459
const TINYINT = 57460
const SMALLINT = 57461
const MEDIUMINT = 57462
const INT = 57463
const INTEGER = 57464
const BIGINT = 57465
const INTNUM = 57466
const REAL = 57467
const DOUBLE = 57468
const FLOAT_TYPE = 57469
const DECIMAL = 57470
const NUMERIC = 57471
const TIME = 57472
const TIMESTAMP = 57473
const DATETIME = 57474
const YEAR = 57475
const CHAR = 57476
const VARCHAR = 57477
const BOOL = 57478
const CHARACTER = 57479
const VARBINARY = 57480
const NCHAR = 57481
const CHARSET = 57482
const TEXT = 57483
const TINYTEXT = 57484
const MEDIUMTEXT = 57485
const LONGTEXT = 57486
const BLOB = 57487
const TINYBLOB = 57488
const MEDIUMBLOB = 57489
const LONGBLOB = 57490
const JSON = 57491
const ENUM = 57492
const NULLX = 57493
const AUTO_INCREMENT = 57494
const APPROXNUM = 57495
const SIGNED = 57496
const UNSIGNED = 57497
const ZEROFILL = 57498
const DATABASES = 57499
const TABLES = 57500
const VITESS_KEYSPACES = 57501
const VITESS_SHARDS = 57502
const VSCHEMA_TABLES = 57503
const WARNINGS = 57504
const VARIABLES = 57505
const EVENTS = 57506
const BINLOG = 57507
const GTID = 57508
const STATUS = 57509
const COLUMNS = 57510
const CURRENT_TIMESTAMP = 57511
const DATABASE = 57512
const CURRENT_DATE = 57513
const CURRENT_TIME = 57514
const LOCALTIME = 57515
const LOCALTIMESTAMP = 57516
const UTC_DATE = 57517
const UTC_TIME = 57518
const UTC_TIMESTAMP = 57519
const REPLACE = 57520
const CONVERT = 57521
const CAST = 57522
const GROUP_CONCAT = 57523
const SEPARATOR = 57524
const MATCH = 57525
const AGAINST = 57526
const BOOLEAN = 57527
const LANGUAGE = 57528
const WITH = 57529
const QUERY = 57530
const EXPANSION = 57531
const UNUSED = 57532
const PARTITION = 57533
const PARTITIONS = 57534
const HASH = 57535
const XA = 57536
const ENGINES = 57537
const VERSIONS = 57538
const PROCESSLIST = 57539
const QUERYZ = 57540
const TXNZ = 57541
const KILL = 57542
const ENGINE = 57543
const BEGIN = 57544
const START = 57545
const TRANSACTION = 57546
const COMMIT = 57547
const ROLLBACK = 57548
const GLOBAL = 57549
const SESSION = 57550
const NAMES = 57551

var yyToknames = [...]string{
	"$end",
	"error",
	"$unk",
	"LEX_ERROR",
	"UNION",
	"SELECT",
	"INSERT",
	"UPDATE",
	"DELETE",
	"FROM",
	"WHERE",
	"GROUP",
	"HAVING",
	"ORDER",
	"BY",
	"LIMIT",
	"OFFSET",
	"FOR",
	"ALL",
	"DISTINCT",
	"AS",
	"EXISTS",
	"ASC",
	"DESC",
	"INTO",
	"DUPLICATE",
	"KEY",
	"DEFAULT",
	"SET",
	"LOCK",
	"FULL",
	"VALUES",
	"LAST_INSERT_ID",
	"NEXT",
	"VALUE",
	"SHARE",
	"MODE",
	"SQL_NO_CACHE",
	"SQL_CACHE",
	"JOIN",
	"STRAIGHT_JOIN",
	"LEFT",
	"RIGHT",
	"INNER",
	"OUTER",
	"CROSS",
	"NATURAL",
	"USE",
	"FORCE",
	"ON",
	"'('",
	"','",
	"')'",
	"ID",
	"HEX",
	"STRING",
	"INTEGRAL",
	"FLOAT",
	"HEXNUM",
	"VALUE_ARG",
	"LIST_ARG",
	"COMMENT",
	"COMMENT_KEYWORD",
	"NULL",
	"TRUE",
	"FALSE",
	"OFF",
	"OR",
	"AND",
	"NOT",
	"'!'",
	"BETWEEN",
	"CASE",
	"WHEN",
	"THEN",
	"ELSE",
	"END",
	"'='",
	"'<'",
	"'>'",
	"LE",
	"GE",
	"NE",
	"NULL_SAFE_EQUAL",
	"IS",
	"LIKE",
	"REGEXP",
	"IN",
	"'|'",
	"'&'",
	"SHIFT_LEFT",
	"SHIFT_RIGHT",
	"'+'",
	"'-'",
	"'*'",
	"'/'",
	"DIV",
	"'%'",
	"MOD",
	"'^'",
	"'~'",
	"UNARY",
	"COLLATE",
	"BINARY",
	"INTERVAL",
	"'.'",
	"JSON_EXTRACT_OP",
	"JSON_UNQUOTE_EXTRACT_OP",
	"CREATE",
	"ALTER",
	"DROP",
	"RENAME",
	"ANALYZE",
	"ADD",
	"MODIFY",
	"TABLE",
	"INDEX",
	"VIEW",
	"TO",
	"IGNORE",
	"IF",
	"UNIQUE",
	"USING",
	"PRIMARY",
	"COLUMN",
	"SHOW",
	"DESCRIBE",
	"EXPLAIN",
	"DATE",
	"ESCAPE",
	"REPAIR",
	"OPTIMIZE",
	"TRUNCATE",
	"BIT",
	"TINYINT",
	"SMALLINT",
	"MEDIUMINT",
	"INT",
	"INTEGER",
	"BIGINT",
	"INTNUM",
	"REAL",
	"DOUBLE",
	"FLOAT_TYPE",
	"DECIMAL",
	"NUMERIC",
	"TIME",
	"TIMESTAMP",
	"DATETIME",
	"YEAR",
	"CHAR",
	"VARCHAR",
	"BOOL",
	"CHARACTER",
	"VARBINARY",
	"NCHAR",
	"CHARSET",
	"TEXT",
	"TINYTEXT",
	"MEDIUMTEXT",
	"LONGTEXT",
	"BLOB",
	"TINYBLOB",
	"MEDIUMBLOB",
	"LONGBLOB",
	"JSON",
	"ENUM",
	"NULLX",
	"AUTO_INCREMENT",
	"APPROXNUM",
	"SIGNED",
	"UNSIGNED",
	"ZEROFILL",
	"DATABASES",
	"TABLES",
	"VITESS_KEYSPACES",
	"VITESS_SHARDS",
	"VSCHEMA_TABLES",
	"WARNINGS",
	"VARIABLES",
	"EVENTS",
	"BINLOG",
	"GTID",
	"STATUS",
	"COLUMNS",
	"CURRENT_TIMESTAMP",
	"DATABASE",
	"CURRENT_DATE",
	"CURRENT_TIME",
	"LOCALTIME",
	"LOCALTIMESTAMP",
	"UTC_DATE",
	"UTC_TIME",
	"UTC_TIMESTAMP",
	"REPLACE",
	"CONVERT",
	"CAST",
	"GROUP_CONCAT",
	"SEPARATOR",
	"MATCH",
	"AGAINST",
	"BOOLEAN",
	"LANGUAGE",
	"WITH",
	"QUERY",
	"EXPANSION",
	"UNUSED",
	"PARTITION",
	"PARTITIONS",
	"HASH",
	"XA",
	"ENGINES",
	"VERSIONS",
	"PROCESSLIST",
	"QUERYZ",
	"TXNZ",
	"KILL",
	"ENGINE",
	"BEGIN",
	"START",
	"TRANSACTION",
	"COMMIT",
	"ROLLBACK",
	"GLOBAL",
	"SESSION",
	"NAMES",
	"';'",
}
var yyStatenames = [...]string{}

const yyEofCode = 1
const yyErrCode = 2
const yyInitialStackSize = 16

//line yacctab:1
var yyExca = [...]int{
	-1, 1,
	1, -1,
	-2, 0,
	-1, 3,
	5, 25,
	-2, 4,
	-1, 272,
	78, 583,
	-2, 38,
	-1, 277,
	78, 479,
	-2, 433,
	-1, 372,
	106, 466,
	-2, 462,
	-1, 373,
	106, 467,
	-2, 463,
	-1, 545,
	5, 25,
	-2, 409,
	-1, 677,
	106, 469,
	-2, 465,
	-1, 790,
	5, 26,
	-2, 288,
	-1, 814,
	5, 26,
	-2, 410,
	-1, 896,
	5, 25,
	-2, 412,
	-1, 998,
	5, 26,
	-2, 413,
}

const yyPrivate = 57344

const yyLast = 6917

var yyAct = [...]int{

	373, 504, 937, 951, 326, 548, 348, 887, 1026, 829,
	948, 748, 273, 585, 350, 708, 886, 598, 251, 709,
	866, 782, 556, 52, 661, 671, 549, 62, 774, 705,
	689, 560, 638, 571, 85, 238, 315, 668, 328, 288,
	324, 381, 239, 375, 270, 503, 3, 676, 276, 594,
	268, 579, 51, 351, 46, 243, 565, 562, 286, 1038,
	238, 1025, 281, 260, 1037, 1017, 1035, 1024, 275, 56,
	1016, 879, 931, 238, 238, 626, 69, 70, 305, 240,
	673, 242, 84, 244, 245, 246, 247, 248, 249, 615,
	309, 303, 250, 58, 59, 60, 61, 735, 578, 833,
	46, 516, 724, 614, 66, 65, 902, 971, 256, 851,
	586, 926, 22, 47, 24, 25, 924, 301, 762, 761,
	793, 760, 307, 308, 296, 310, 993, 995, 291, 617,
	42, 909, 68, 759, 1013, 26, 458, 457, 613, 1012,
	958, 1011, 294, 73, 72, 573, 313, 71, 916, 306,
	817, 573, 788, 459, 34, 786, 867, 49, 1003, 470,
	469, 479, 480, 472, 473, 474, 475, 476, 477, 478,
	471, 755, 289, 481, 561, 64, 670, 757, 729, 493,
	494, 869, 718, 502, 481, 610, 608, 604, 388, 607,
	609, 794, 471, 841, 459, 481, 456, 871, 994, 875,
	960, 870, 881, 868, 826, 758, 645, 586, 873, 725,
	458, 457, 690, 717, 457, 28, 29, 30, 872, 32,
	643, 644, 642, 874, 876, 1015, 910, 459, 908, 612,
	459, 392, 33, 43, 36, 572, 295, 44, 45, 31,
	570, 572, 569, 842, 611, 439, 470, 469, 479, 480,
	472, 473, 474, 475, 476, 477, 478, 471, 575, 690,
	481, 800, 461, 733, 576, 238, 963, 756, 238, 754,
	281, 606, 458, 457, 1004, 281, 275, 383, 377, 883,
	49, 394, 616, 913, 311, 912, 312, 775, 903, 459,
	641, 238, 747, 605, 238, 238, 238, 460, 290, 238,
	746, 48, 378, 238, 736, 238, 238, 238, 298, 662,
	46, 663, 409, 458, 457, 241, 1001, 35, 974, 911,
	391, 67, 765, 37, 745, 38, 39, 379, 41, 40,
	459, 795, 1000, 318, 376, 20, 968, 421, 531, 532,
	1032, 314, 426, 427, 428, 429, 430, 431, 432, 289,
	433, 434, 435, 436, 437, 422, 423, 424, 425, 407,
	408, 853, 491, 410, 314, 293, 411, 412, 413, 414,
	415, 416, 417, 418, 419, 420, 490, 492, 458, 457,
	264, 281, 850, 458, 457, 831, 238, 537, 827, 238,
	255, 281, 550, 823, 551, 459, 533, 275, 935, 314,
	459, 462, 501, 905, 904, 506, 507, 508, 509, 510,
	511, 512, 730, 515, 517, 517, 517, 517, 517, 517,
	517, 517, 525, 526, 527, 528, 587, 588, 589, 721,
	545, 664, 505, 780, 314, 558, 553, 555, 546, 514,
	566, 238, 297, 535, 292, 53, 238, 631, 633, 634,
	238, 847, 846, 632, 967, 600, 767, 768, 769, 581,
	582, 583, 584, 518, 519, 520, 521, 522, 523, 524,
	966, 620, 625, 559, 591, 592, 593, 844, 843, 639,
	834, 835, 836, 780, 596, 597, 816, 314, 837, 838,
	619, 679, 314, 622, 623, 624, 400, 399, 22, 557,
	706, 281, 716, 640, 679, 716, 812, 667, 935, 275,
	845, 22, 22, 809, 780, 675, 281, 390, 529, 49,
	257, 543, 691, 580, 544, 534, 472, 473, 474, 475,
	476, 477, 478, 471, 665, 666, 481, 895, 628, 629,
	716, 635, 636, 49, 599, 63, 46, 281, 550, 707,
	551, 677, 681, 714, 687, 780, 49, 49, 726, 710,
	506, 595, 590, 1007, 694, 49, 706, 445, 440, 541,
	698, 715, 1010, 697, 474, 475, 476, 477, 478, 471,
	719, 986, 481, 984, 1009, 983, 987, 505, 985, 982,
	684, 685, 712, 261, 262, 737, 738, 1030, 711, 1023,
	46, 766, 856, 281, 728, 988, 627, 943, 944, 275,
	376, 703, 702, 965, 914, 750, 722, 739, 740, 741,
	742, 743, 470, 469, 479, 480, 472, 473, 474, 475,
	476, 477, 478, 471, 397, 382, 481, 387, 720, 340,
	339, 341, 342, 343, 344, 825, 751, 316, 345, 380,
	678, 680, 321, 732, 964, 893, 749, 639, 727, 317,
	810, 601, 444, 763, 692, 947, 258, 259, 764, 382,
	701, 252, 977, 398, 281, 770, 253, 53, 700, 976,
	784, 640, 934, 557, 682, 683, 454, 449, 686, 479,
	480, 472, 473, 474, 475, 476, 477, 478, 471, 304,
	238, 481, 693, 302, 695, 696, 267, 955, 939, 942,
	943, 944, 940, 349, 941, 945, 455, 704, 1008, 799,
	57, 550, 55, 551, 50, 275, 1, 281, 828, 787,
	568, 821, 563, 830, 287, 567, 744, 811, 822, 818,
	907, 832, 574, 819, 734, 577, 723, 564, 236, 824,
	962, 731, 403, 238, 404, 939, 942, 943, 944, 940,
	789, 941, 945, 402, 406, 405, 401, 677, 74, 839,
	840, 801, 269, 266, 946, 950, 781, 753, 752, 603,
	489, 699, 274, 393, 281, 713, 266, 266, 852, 281,
	784, 530, 505, 275, 374, 275, 849, 975, 820, 675,
	855, 865, 854, 933, 798, 861, 860, 513, 688, 327,
	238, 777, 630, 338, 335, 778, 878, 281, 281, 877,
	885, 880, 337, 898, 899, 864, 336, 710, 790, 791,
	792, 884, 894, 796, 863, 677, 536, 900, 802, 542,
	803, 804, 805, 806, 463, 325, 779, 319, 890, 992,
	889, 448, 384, 938, 936, 888, 808, 453, 813, 814,
	815, 896, 930, 891, 797, 1002, 711, 540, 23, 897,
	469, 479, 480, 472, 473, 474, 475, 476, 477, 478,
	471, 882, 906, 481, 54, 263, 19, 14, 13, 922,
	12, 27, 238, 238, 10, 9, 8, 7, 6, 5,
	4, 254, 281, 21, 2, 18, 281, 17, 275, 16,
	710, 956, 830, 959, 750, 961, 15, 281, 11, 919,
	920, 0, 921, 275, 0, 923, 859, 925, 0, 865,
	890, 0, 0, 929, 970, 0, 238, 238, 238, 238,
	0, 892, 0, 957, 979, 949, 981, 238, 989, 711,
	238, 46, 978, 238, 980, 749, 996, 0, 0, 281,
	550, 997, 551, 0, 932, 999, 0, 0, 0, 0,
	901, 0, 0, 0, 890, 890, 890, 890, 266, 1006,
	0, 266, 495, 496, 497, 498, 499, 500, 890, 891,
	891, 891, 891, 0, 0, 681, 0, 0, 0, 0,
	0, 265, 0, 949, 438, 0, 0, 266, 266, 266,
	0, 917, 446, 918, 299, 300, 266, 0, 266, 266,
	266, 281, 281, 281, 927, 928, 0, 1027, 1027, 1027,
	1028, 1029, 0, 281, 0, 0, 0, 0, 0, 1036,
	470, 469, 479, 480, 472, 473, 474, 475, 476, 477,
	478, 471, 0, 0, 481, 0, 0, 1005, 505, 0,
	0, 0, 0, 0, 0, 1020, 1021, 1022, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 973, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 1018, 1019,
	0, 0, 0, 0, 0, 991, 0, 0, 0, 266,
	0, 552, 554, 0, 998, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 776, 0, 637, 0, 0, 646,
	647, 648, 649, 650, 651, 652, 653, 654, 655, 656,
	657, 658, 659, 660, 470, 469, 479, 480, 472, 473,
	474, 475, 476, 477, 478, 471, 0, 0, 481, 1014,
	0, 0, 0, 0, 266, 0, 0, 0, 0, 266,
	0, 0, 0, 266, 0, 0, 0, 0, 0, 465,
	0, 468, 0, 1031, 0, 1033, 1034, 482, 483, 484,
	485, 486, 487, 488, 0, 466, 467, 464, 470, 469,
	479, 480, 472, 473, 474, 475, 476, 477, 478, 471,
	0, 0, 481, 0, 0, 0, 386, 0, 0, 389,
	0, 0, 0, 0, 0, 674, 554, 0, 0, 0,
	0, 674, 674, 0, 0, 674, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 441, 442, 443, 0, 674,
	674, 674, 674, 0, 447, 0, 450, 451, 452, 0,
	0, 0, 0, 0, 674, 0, 0, 552, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 771, 772, 773, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 209, 547, 0, 0,
	783, 0, 0, 0, 0, 190, 0, 0, 0, 0,
	0, 0, 200, 0, 0, 215, 206, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 280, 0, 785, 0, 0, 0, 0,
	0, 0, 185, 0, 0, 0, 0, 458, 457, 0,
	0, 0, 602, 674, 0, 0, 0, 618, 0, 0,
	0, 621, 0, 0, 459, 0, 0, 0, 0, 0,
	0, 674, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 266, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 229, 857, 858,
	552, 0, 554, 211, 0, 0, 0, 0, 186, 0,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 0, 227, 207, 266, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 0, 0,
	216, 225, 235, 0, 0, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 674, 0, 0, 0, 0, 0,
	554, 674, 0, 0, 0, 0, 0, 0, 0, 915,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 0, 0, 266, 0, 0, 0, 192, 0, 0,
	0, 0, 0, 195, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 972, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 266, 953, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 807, 0, 0, 0, 0, 0, 0, 0, 266,
	266, 266, 266, 0, 0, 0, 0, 0, 0, 0,
	990, 0, 0, 266, 0, 0, 953, 0, 0, 552,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	167, 157, 128, 169, 105, 120, 178, 121, 122, 149,
	92, 136, 209, 118, 848, 108, 87, 115, 88, 106,
	130, 190, 133, 104, 159, 139, 283, 175, 200, 143,
	0, 215, 206, 0, 0, 132, 161, 134, 156, 127,
	150, 98, 142, 170, 119, 147, 0, 0, 0, 280,
	0, 0, 0, 0, 0, 0, 0, 0, 185, 145,
	165, 117, 146, 148, 86, 144, 0, 90, 93, 177,
	163, 111, 112, 0, 0, 0, 0, 0, 0, 0,
	131, 135, 153, 125, 0, 0, 0, 0, 0, 0,
	0, 0, 109, 0, 141, 0, 0, 0, 96, 91,
	129, 0, 0, 0, 282, 0, 110, 154, 0, 0,
	0, 162, 126, 229, 164, 124, 123, 168, 171, 211,
	0, 160, 107, 116, 186, 114, 214, 210, 224, 181,
	222, 217, 204, 196, 197, 180, 0, 213, 189, 194,
	188, 208, 219, 220, 187, 234, 184, 228, 183, 278,
	227, 207, 277, 218, 223, 205, 202, 182, 221, 203,
	201, 198, 191, 0, 89, 0, 216, 225, 235, 103,
	284, 230, 231, 232, 0, 0, 0, 0, 0, 0,
	285, 101, 102, 99, 100, 137, 138, 172, 173, 174,
	155, 97, 0, 0, 158, 140, 179, 0, 199, 233,
	212, 193, 226, 0, 0, 0, 0, 113, 176, 152,
	151, 166, 0, 192, 0, 0, 0, 0, 0, 272,
	271, 279, 167, 157, 128, 169, 105, 120, 178, 121,
	122, 149, 92, 136, 209, 118, 0, 108, 87, 115,
	88, 106, 130, 190, 133, 104, 159, 139, 76, 175,
	200, 143, 0, 215, 206, 0, 0, 132, 161, 134,
	156, 127, 150, 98, 142, 170, 119, 147, 0, 0,
	0, 83, 0, 0, 0, 0, 0, 0, 0, 0,
	185, 145, 165, 117, 146, 148, 86, 144, 0, 90,
	93, 177, 163, 111, 112, 0, 0, 0, 0, 0,
	0, 0, 131, 135, 153, 125, 0, 0, 0, 0,
	0, 0, 0, 0, 109, 0, 141, 0, 0, 0,
	96, 91, 129, 0, 0, 0, 78, 0, 110, 154,
	0, 0, 0, 162, 126, 229, 164, 124, 123, 168,
	171, 211, 0, 160, 107, 116, 186, 114, 214, 210,
	224, 181, 222, 217, 204, 196, 197, 180, 0, 213,
	189, 194, 188, 208, 219, 220, 187, 234, 184, 228,
	183, 94, 227, 207, 95, 218, 223, 205, 202, 182,
	221, 203, 201, 198, 191, 0, 89, 0, 216, 225,
	235, 103, 75, 230, 231, 232, 79, 80, 0, 81,
	0, 82, 77, 101, 102, 99, 100, 137, 138, 172,
	173, 174, 155, 97, 0, 0, 158, 140, 179, 0,
	199, 233, 212, 193, 226, 0, 0, 0, 0, 113,
	176, 152, 151, 166, 0, 192, 0, 0, 0, 0,
	0, 195, 167, 157, 128, 169, 105, 120, 178, 121,
	122, 149, 92, 136, 209, 118, 0, 108, 87, 115,
	88, 106, 130, 190, 133, 104, 159, 139, 283, 175,
	200, 143, 0, 215, 206, 0, 0, 132, 161, 134,
	156, 127, 150, 98, 142, 170, 119, 147, 0, 0,
	0, 280, 0, 0, 0, 0, 0, 0, 0, 0,
	185, 145, 165, 117, 146, 148, 86, 144, 0, 90,
	93, 177, 163, 111, 112, 0, 0, 0, 0, 0,
	0, 0, 131, 135, 153, 125, 0, 0, 0, 0,
	0, 0, 0, 0, 109, 0, 141, 0, 0, 0,
	96, 91, 129, 0, 0, 0, 282, 0, 110, 154,
	0, 0, 0, 162, 126, 229, 164, 124, 123, 168,
	171, 211, 0, 160, 107, 116, 186, 114, 214, 210,
	224, 181, 222, 217, 204, 196, 197, 180, 0, 213,
	189, 194, 188, 208, 219, 220, 187, 234, 184, 228,
	183, 278, 227, 207, 277, 218, 223, 205, 202, 182,
	221, 203, 201, 198, 191, 0, 89, 0, 216, 225,
	235, 103, 284, 230, 231, 232, 0, 0, 0, 0,
	0, 0, 285, 101, 102, 99, 100, 137, 138, 172,
	173, 174, 155, 97, 0, 0, 158, 140, 179, 0,
	199, 233, 212, 193, 226, 0, 0, 0, 0, 113,
	176, 152, 151, 166, 0, 192, 0, 0, 0, 0,
	0, 195, 0, 279, 167, 157, 128, 169, 105, 120,
	178, 121, 122, 149, 92, 136, 209, 118, 0, 108,
	87, 115, 88, 106, 130, 190, 133, 104, 159, 139,
	283, 175, 200, 143, 0, 215, 206, 0, 0, 132,
	161, 134, 156, 127, 150, 98, 142, 170, 119, 147,
	0, 0, 0, 280, 0, 0, 0, 0, 0, 0,
	0, 0, 185, 145, 165, 117, 146, 148, 86, 144,
	0, 90, 93, 177, 163, 111, 112, 0, 0, 0,
	0, 0, 0, 0, 131, 135, 153, 125, 0, 0,
	0, 0, 0, 0, 969, 0, 109, 0, 141, 0,
	0, 0, 96, 91, 129, 0, 0, 0, 282, 0,
	110, 154, 0, 0, 0, 162, 126, 229, 164, 124,
	123, 168, 171, 211, 0, 160, 107, 116, 186, 114,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 94, 227, 207, 95, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 89, 0,
	216, 225, 235, 103, 284, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 285, 101, 102, 99, 100, 137,
	138, 172, 173, 174, 155, 97, 0, 0, 158, 140,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 113, 176, 152, 151, 166, 0, 192, 0, 0,
	0, 0, 0, 195, 167, 157, 128, 169, 105, 120,
	178, 121, 122, 149, 92, 136, 209, 118, 0, 108,
	87, 115, 88, 106, 130, 190, 133, 104, 159, 139,
	283, 175, 200, 143, 0, 215, 206, 0, 0, 132,
	161, 134, 156, 127, 150, 98, 142, 170, 119, 147,
	49, 0, 0, 280, 0, 0, 0, 0, 0, 0,
	0, 0, 185, 145, 165, 117, 146, 148, 86, 144,
	0, 90, 93, 177, 163, 111, 112, 0, 0, 0,
	0, 0, 0, 0, 131, 135, 153, 125, 0, 0,
	0, 0, 0, 0, 0, 0, 109, 0, 141, 0,
	0, 0, 96, 91, 129, 0, 0, 0, 282, 0,
	110, 154, 0, 0, 0, 162, 126, 229, 164, 124,
	123, 168, 171, 211, 0, 160, 107, 116, 186, 114,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 94, 227, 207, 95, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 89, 0,
	216, 225, 235, 103, 284, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 285, 101, 102, 99, 100, 137,
	138, 172, 173, 174, 155, 97, 0, 0, 158, 140,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 113, 176, 152, 151, 166, 0, 192, 0, 0,
	0, 0, 0, 195, 167, 157, 128, 169, 105, 120,
	178, 121, 122, 149, 92, 136, 209, 118, 0, 108,
	87, 115, 88, 106, 130, 190, 133, 104, 159, 139,
	283, 175, 200, 143, 0, 215, 206, 0, 0, 132,
	161, 134, 156, 127, 150, 98, 142, 170, 119, 147,
	0, 0, 0, 372, 0, 0, 0, 0, 0, 0,
	0, 0, 185, 145, 165, 117, 146, 148, 86, 144,
	0, 90, 93, 177, 163, 111, 112, 0, 0, 0,
	0, 0, 0, 0, 131, 135, 153, 125, 0, 0,
	0, 0, 0, 0, 862, 0, 109, 0, 141, 0,
	0, 0, 96, 91, 129, 0, 0, 0, 282, 0,
	110, 154, 0, 0, 0, 162, 126, 229, 164, 124,
	123, 168, 171, 211, 0, 160, 107, 116, 186, 114,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 94, 227, 207, 95, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 89, 0,
	216, 225, 235, 103, 284, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 285, 101, 102, 99, 100, 137,
	138, 172, 173, 174, 155, 97, 0, 0, 158, 140,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 113, 176, 152, 151, 166, 0, 192, 0, 0,
	0, 0, 0, 195, 167, 157, 128, 169, 105, 120,
	178, 121, 122, 149, 92, 136, 209, 118, 0, 108,
	87, 115, 88, 106, 130, 190, 133, 104, 159, 139,
	283, 175, 200, 143, 0, 215, 206, 0, 0, 132,
	161, 134, 156, 127, 150, 98, 142, 170, 119, 147,
	0, 0, 0, 280, 0, 0, 0, 0, 0, 0,
	0, 0, 185, 145, 165, 117, 146, 148, 86, 144,
	0, 90, 93, 177, 163, 111, 112, 0, 0, 0,
	0, 0, 0, 0, 131, 135, 153, 125, 0, 0,
	0, 0, 0, 0, 0, 0, 109, 0, 141, 0,
	0, 0, 96, 91, 129, 0, 0, 0, 282, 0,
	110, 154, 0, 0, 0, 162, 126, 229, 164, 124,
	123, 168, 171, 211, 0, 160, 107, 116, 186, 114,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 94, 227, 207, 95, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 89, 0,
	216, 225, 235, 103, 284, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 285, 101, 102, 99, 100, 137,
	138, 172, 173, 174, 155, 97, 0, 0, 158, 140,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 113, 176, 152, 151, 166, 0, 192, 0, 0,
	0, 0, 0, 195, 167, 157, 128, 169, 105, 120,
	178, 121, 122, 149, 92, 136, 209, 118, 0, 108,
	87, 115, 88, 106, 130, 190, 133, 104, 159, 139,
	283, 175, 200, 143, 0, 215, 206, 0, 0, 132,
	161, 134, 156, 127, 150, 98, 142, 170, 119, 147,
	0, 0, 0, 372, 0, 0, 0, 0, 0, 0,
	0, 0, 185, 145, 165, 117, 146, 148, 86, 144,
	0, 90, 93, 177, 163, 111, 112, 0, 0, 0,
	0, 0, 0, 0, 131, 135, 153, 125, 0, 0,
	0, 0, 0, 0, 0, 0, 109, 0, 141, 0,
	0, 0, 96, 91, 129, 0, 0, 0, 282, 0,
	110, 154, 0, 0, 0, 162, 126, 229, 164, 124,
	123, 168, 171, 211, 0, 160, 107, 116, 186, 114,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 94, 227, 207, 95, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 89, 0,
	216, 225, 235, 103, 284, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 285, 101, 102, 99, 100, 137,
	138, 172, 173, 174, 155, 97, 0, 0, 158, 140,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 113, 176, 152, 151, 166, 0, 192, 0, 0,
	0, 0, 0, 195, 167, 157, 128, 169, 105, 120,
	178, 121, 122, 149, 92, 136, 209, 118, 0, 108,
	87, 115, 88, 106, 130, 190, 133, 104, 159, 139,
	283, 175, 200, 143, 0, 215, 206, 0, 0, 132,
	161, 134, 156, 127, 150, 98, 142, 170, 119, 147,
	0, 0, 0, 237, 0, 0, 0, 0, 0, 0,
	0, 0, 185, 145, 165, 117, 146, 148, 86, 144,
	0, 90, 93, 177, 163, 111, 112, 0, 0, 0,
	0, 0, 0, 0, 131, 135, 153, 125, 0, 0,
	0, 0, 0, 0, 0, 0, 109, 0, 141, 0,
	0, 0, 96, 91, 129, 0, 0, 0, 282, 0,
	110, 154, 0, 0, 0, 162, 126, 229, 164, 124,
	123, 168, 171, 211, 0, 160, 107, 116, 186, 114,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 94, 227, 207, 95, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 89, 0,
	216, 225, 235, 103, 284, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 285, 101, 102, 99, 100, 137,
	138, 172, 173, 174, 155, 97, 0, 0, 158, 140,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 113, 176, 152, 151, 166, 209, 192, 0, 669,
	0, 323, 0, 195, 0, 190, 0, 322, 0, 0,
	0, 359, 200, 0, 0, 215, 206, 0, 0, 0,
	0, 352, 353, 0, 0, 0, 0, 0, 0, 0,
	49, 0, 0, 372, 340, 339, 341, 342, 343, 344,
	0, 0, 185, 345, 346, 347, 0, 0, 0, 320,
	333, 0, 358, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 330, 331, 672, 0, 0, 0, 370, 0,
	332, 0, 0, 329, 334, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 229, 0, 0,
	368, 0, 0, 211, 0, 0, 0, 0, 186, 0,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 0, 227, 207, 0, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 0, 0,
	216, 225, 235, 0, 0, 230, 231, 232, 0, 0,
	0, 0, 0, 0, 0, 360, 369, 366, 367, 364,
	365, 363, 362, 361, 371, 354, 355, 357, 0, 356,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 209,
	0, 0, 0, 0, 323, 0, 0, 192, 190, 0,
	322, 0, 0, 195, 359, 200, 0, 0, 215, 206,
	0, 0, 0, 0, 352, 353, 0, 0, 0, 0,
	0, 0, 0, 49, 0, 0, 372, 340, 339, 341,
	342, 343, 344, 0, 0, 185, 345, 346, 347, 0,
	0, 0, 320, 333, 0, 358, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 330, 331, 672, 0, 0,
	0, 370, 0, 332, 0, 0, 329, 334, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	229, 0, 0, 368, 0, 0, 211, 0, 0, 0,
	0, 186, 0, 214, 210, 224, 181, 222, 217, 204,
	196, 197, 180, 0, 213, 189, 194, 188, 208, 219,
	220, 187, 234, 184, 228, 183, 0, 227, 207, 0,
	218, 223, 205, 202, 182, 221, 203, 201, 198, 191,
	0, 0, 0, 216, 225, 235, 0, 0, 230, 231,
	232, 0, 0, 0, 0, 0, 0, 0, 360, 369,
	366, 367, 364, 365, 363, 362, 361, 371, 354, 355,
	357, 0, 356, 179, 0, 199, 233, 212, 193, 226,
	0, 0, 209, 0, 0, 0, 0, 323, 0, 0,
	192, 190, 0, 322, 0, 0, 195, 359, 200, 0,
	0, 215, 206, 0, 0, 0, 0, 352, 353, 0,
	0, 0, 0, 0, 0, 0, 49, 0, 314, 372,
	340, 339, 341, 342, 343, 344, 0, 0, 185, 345,
	346, 347, 0, 0, 0, 320, 333, 0, 358, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 330, 331,
	0, 0, 0, 0, 370, 0, 332, 0, 0, 329,
	334, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 229, 0, 0, 368, 0, 0, 211,
	0, 0, 0, 0, 186, 0, 214, 210, 224, 181,
	222, 217, 204, 196, 197, 180, 0, 213, 189, 194,
	188, 208, 219, 220, 187, 234, 184, 228, 183, 0,
	227, 207, 0, 218, 223, 205, 202, 182, 221, 203,
	201, 198, 191, 0, 0, 0, 216, 225, 235, 0,
	0, 230, 231, 232, 0, 0, 0, 0, 0, 0,
	0, 360, 369, 366, 367, 364, 365, 363, 362, 361,
	371, 354, 355, 357, 22, 356, 179, 0, 199, 233,
	212, 193, 226, 0, 0, 209, 0, 0, 0, 0,
	323, 0, 0, 192, 190, 0, 322, 0, 0, 195,
	359, 200, 0, 0, 215, 206, 0, 0, 0, 0,
	352, 353, 0, 0, 0, 0, 0, 0, 0, 49,
	0, 0, 372, 340, 339, 341, 342, 343, 344, 0,
	0, 185, 345, 346, 347, 0, 0, 0, 320, 333,
	0, 358, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 330, 331, 0, 0, 0, 0, 370, 0, 332,
	0, 0, 329, 334, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 229, 0, 0, 368,
	0, 0, 211, 0, 0, 0, 0, 186, 0, 214,
	210, 224, 181, 222, 217, 204, 196, 197, 180, 0,
	213, 189, 194, 188, 208, 219, 220, 187, 234, 184,
	228, 183, 0, 227, 207, 0, 218, 223, 205, 202,
	182, 221, 203, 201, 198, 191, 0, 0, 0, 216,
	225, 235, 0, 0, 230, 231, 232, 0, 0, 0,
	0, 0, 0, 0, 360, 369, 366, 367, 364, 365,
	363, 362, 361, 371, 354, 355, 357, 0, 356, 179,
	0, 199, 233, 212, 193, 226, 0, 0, 209, 0,
	0, 0, 0, 323, 0, 0, 192, 190, 0, 322,
	0, 0, 195, 359, 200, 0, 0, 215, 206, 0,
	0, 0, 0, 352, 353, 0, 0, 0, 0, 0,
	0, 0, 49, 0, 0, 372, 340, 339, 341, 342,
	343, 344, 0, 0, 185, 345, 346, 347, 0, 0,
	0, 320, 333, 0, 358, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 330, 331, 0, 0, 0, 0,
	370, 0, 332, 0, 0, 329, 334, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 229,
	0, 0, 368, 0, 0, 211, 0, 0, 0, 0,
	186, 0, 214, 210, 224, 181, 222, 217, 204, 196,
	197, 180, 0, 213, 189, 194, 188, 208, 219, 220,
	187, 234, 184, 228, 183, 0, 227, 207, 0, 218,
	223, 205, 202, 182, 221, 203, 201, 198, 191, 0,
	0, 0, 216, 225, 235, 0, 0, 230, 231, 232,
	0, 0, 0, 0, 0, 0, 0, 360, 369, 366,
	367, 364, 365, 363, 362, 361, 371, 354, 355, 357,
	0, 356, 179, 0, 199, 233, 212, 193, 226, 0,
	0, 209, 0, 0, 0, 0, 0, 0, 0, 192,
	190, 0, 0, 0, 0, 195, 359, 200, 0, 0,
	215, 206, 0, 0, 0, 0, 352, 353, 0, 0,
	0, 0, 0, 0, 0, 49, 0, 0, 372, 340,
	339, 341, 342, 343, 344, 0, 0, 185, 345, 346,
	347, 0, 0, 0, 0, 333, 0, 358, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 330, 331, 0,
	0, 0, 0, 370, 0, 332, 0, 0, 329, 334,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 229, 0, 0, 368, 0, 0, 211, 0,
	0, 0, 0, 186, 0, 214, 210, 224, 181, 222,
	217, 204, 196, 197, 180, 0, 213, 189, 194, 188,
	208, 219, 220, 187, 234, 184, 228, 183, 0, 227,
	207, 0, 218, 223, 205, 202, 182, 221, 203, 201,
	198, 191, 0, 0, 0, 216, 225, 235, 0, 0,
	230, 231, 232, 0, 0, 0, 0, 0, 0, 0,
	360, 369, 366, 367, 364, 365, 363, 362, 361, 371,
	354, 355, 357, 0, 356, 179, 0, 199, 233, 212,
	193, 226, 0, 0, 209, 0, 0, 0, 0, 0,
	0, 0, 192, 190, 0, 0, 0, 0, 195, 0,
	200, 0, 0, 215, 206, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 280, 0, 0, 0, 0, 0, 0, 0, 0,
	185, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 470, 469, 479, 480,
	472, 473, 474, 475, 476, 477, 478, 471, 0, 0,
	481, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 229, 0, 0, 0, 0,
	0, 211, 0, 0, 0, 0, 186, 0, 214, 210,
	224, 181, 222, 217, 204, 196, 197, 180, 0, 213,
	189, 194, 188, 208, 219, 220, 187, 234, 184, 228,
	183, 0, 227, 207, 0, 218, 223, 205, 202, 182,
	221, 203, 201, 198, 191, 22, 0, 0, 216, 225,
	235, 0, 0, 230, 231, 232, 209, 0, 0, 0,
	0, 0, 0, 0, 0, 190, 0, 0, 0, 0,
	0, 0, 200, 0, 0, 215, 206, 0, 179, 0,
	199, 233, 212, 193, 226, 0, 0, 0, 0, 0,
	49, 0, 0, 237, 0, 192, 0, 0, 0, 0,
	0, 195, 185, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 229, 0, 0,
	0, 0, 0, 211, 0, 0, 0, 0, 186, 0,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 0, 227, 207, 0, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 0, 0,
	216, 225, 235, 0, 209, 230, 231, 232, 952, 0,
	0, 0, 0, 190, 0, 0, 0, 0, 0, 0,
	200, 0, 0, 215, 206, 0, 0, 0, 0, 0,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	0, 237, 0, 954, 0, 0, 0, 192, 0, 0,
	185, 0, 0, 195, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 229, 0, 0, 0, 0,
	0, 211, 0, 0, 0, 0, 186, 0, 214, 210,
	224, 181, 222, 217, 204, 196, 197, 180, 0, 213,
	189, 194, 188, 208, 219, 220, 187, 234, 184, 228,
	183, 0, 227, 207, 0, 218, 223, 205, 202, 182,
	221, 203, 201, 198, 191, 22, 0, 0, 216, 225,
	235, 0, 0, 230, 231, 232, 209, 0, 0, 0,
	0, 0, 0, 0, 0, 190, 0, 0, 0, 0,
	0, 0, 200, 0, 0, 215, 206, 0, 179, 0,
	199, 233, 212, 193, 226, 0, 0, 0, 0, 0,
	49, 0, 0, 280, 0, 192, 0, 0, 0, 0,
	0, 195, 185, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 229, 0, 0,
	0, 0, 0, 211, 0, 0, 0, 0, 186, 0,
	214, 210, 224, 181, 222, 217, 204, 196, 197, 180,
	0, 213, 189, 194, 188, 208, 219, 220, 187, 234,
	184, 228, 183, 0, 227, 207, 0, 218, 223, 205,
	202, 182, 221, 203, 201, 198, 191, 0, 0, 0,
	216, 225, 235, 209, 0, 230, 231, 232, 0, 0,
	0, 0, 190, 0, 0, 0, 0, 0, 0, 200,
	0, 0, 215, 206, 0, 0, 0, 0, 0, 0,
	179, 0, 199, 233, 212, 193, 226, 0, 0, 0,
	280, 0, 0, 538, 0, 0, 539, 192, 0, 185,
	0, 0, 0, 195, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 229, 0, 0, 0, 0, 0,
	211, 0, 0, 0, 0, 186, 0, 214, 210, 224,
	181, 222, 217, 204, 196, 197, 180, 0, 213, 189,
	194, 188, 208, 219, 220, 187, 234, 184, 228, 183,
	0, 227, 207, 0, 218, 223, 205, 202, 182, 221,
	203, 201, 198, 191, 0, 0, 0, 216, 225, 235,
	209, 0, 230, 231, 232, 0, 0, 0, 0, 190,
	0, 396, 0, 0, 0, 0, 200, 0, 0, 215,
	206, 0, 0, 0, 0, 0, 0, 179, 0, 199,
	233, 212, 193, 226, 0, 0, 0, 280, 0, 395,
	0, 0, 0, 0, 192, 0, 185, 0, 0, 0,
	195, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 229, 0, 0, 0, 0, 0, 211, 0, 0,
	0, 0, 186, 0, 214, 210, 224, 181, 222, 217,
	204, 196, 197, 180, 0, 213, 189, 194, 188, 208,
	219, 220, 187, 234, 184, 228, 183, 0, 227, 207,
	0, 218, 223, 205, 202, 182, 221, 203, 201, 198,
	191, 0, 0, 0, 216, 225, 235, 209, 0, 230,
	231, 232, 0, 0, 0, 0, 190, 0, 0, 0,
	0, 0, 0, 200, 0, 0, 215, 206, 0, 0,
	0, 0, 0, 0, 179, 0, 199, 233, 212, 193,
	226, 0, 0, 0, 237, 0, 954, 0, 0, 0,
	0, 192, 0, 185, 0, 0, 0, 195, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 229, 0,
	0, 0, 0, 0, 211, 0, 0, 0, 0, 186,
	0, 214, 210, 224, 181, 222, 217, 204, 196, 197,
	180, 0, 213, 189, 194, 188, 208, 219, 220, 187,
	234, 184, 228, 183, 0, 227, 207, 0, 218, 223,
	205, 202, 182, 221, 203, 201, 198, 191, 0, 0,
	0, 216, 225, 235, 209, 0, 230, 231, 232, 0,
	0, 0, 0, 190, 0, 0, 0, 0, 0, 0,
	200, 0, 0, 215, 206, 0, 0, 0, 0, 0,
	0, 179, 0, 199, 233, 212, 193, 226, 49, 0,
	0, 237, 0, 0, 0, 0, 0, 0, 192, 0,
	185, 0, 0, 0, 195, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 229, 0, 0, 0, 0,
	0, 211, 0, 0, 0, 0, 186, 0, 214, 210,
	224, 181, 222, 217, 204, 196, 197, 180, 0, 213,
	189, 194, 188, 208, 219, 220, 187, 234, 184, 228,
	183, 0, 227, 207, 0, 218, 223, 205, 202, 182,
	221, 203, 201, 198, 191, 0, 0, 0, 216, 225,
	235, 209, 0, 230, 231, 232, 0, 0, 0, 0,
	190, 0, 0, 0, 0, 0, 0, 200, 0, 0,
	215, 206, 0, 0, 0, 0, 0, 0, 179, 0,
	199, 233, 212, 193, 226, 0, 0, 0, 280, 0,
	785, 0, 0, 0, 0, 192, 0, 185, 0, 0,
	0, 195, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 229, 0, 0, 0, 0, 0, 211, 0,
	0, 0, 0, 186, 0, 214, 210, 224, 181, 222,
	217, 204, 196, 197, 180, 0, 213, 189, 194, 188,
	208, 219, 220, 187, 234, 184, 228, 183, 0, 227,
	207, 0, 218, 223, 205, 202, 182, 221, 203, 201,
	198, 191, 0, 0, 0, 216, 225, 235, 209, 0,
	230, 231, 232, 0, 0, 0, 385, 190, 0, 0,
	0, 0, 0, 0, 200, 0, 0, 215, 206, 0,
	0, 0, 0, 0, 0, 179, 0, 199, 233, 212,
	193, 226, 0, 0, 0, 237, 0, 0, 0, 0,
	0, 0, 192, 0, 185, 0, 0, 0, 195, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 229,
	0, 0, 0, 0, 0, 211, 0, 0, 0, 0,
	186, 0, 214, 210, 224, 181, 222, 217, 204, 196,
	197, 180, 0, 213, 189, 194, 188, 208, 219, 220,
	187, 234, 184, 228, 183, 0, 227, 207, 0, 218,
	223, 205, 202, 182, 221, 203, 201, 198, 191, 0,
	0, 0, 216, 225, 235, 209, 0, 230, 231, 232,
	0, 0, 0, 0, 190, 0, 0, 0, 0, 0,
	0, 200, 0, 0, 215, 206, 0, 0, 0, 0,
	0, 0, 179, 0, 199, 233, 212, 193, 226, 0,
	0, 0, 280, 0, 0, 0, 0, 0, 0, 192,
	0, 185, 0, 0, 0, 195, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 229, 0, 0, 0,
	0, 0, 211, 0, 0, 0, 0, 186, 0, 214,
	210, 224, 181, 222, 217, 204, 196, 197, 180, 0,
	213, 189, 194, 188, 208, 219, 220, 187, 234, 184,
	228, 183, 0, 227, 207, 0, 218, 223, 205, 202,
	182, 221, 203, 201, 198, 191, 0, 0, 0, 216,
	225, 235, 209, 0, 230, 231, 232, 0, 0, 0,
	0, 190, 0, 0, 0, 0, 0, 0, 200, 0,
	0, 215, 206, 0, 0, 0, 0, 0, 0, 179,
	0, 199, 233, 212, 193, 226, 0, 0, 0, 372,
	0, 0, 0, 0, 0, 0, 192, 0, 185, 0,
	0, 0, 195, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 229, 0, 0, 0, 0, 0, 211,
	0, 0, 0, 0, 186, 0, 214, 210, 224, 181,
	222, 217, 204, 196, 197, 180, 0, 213, 189, 194,
	188, 208, 219, 220, 187, 234, 184, 228, 183, 0,
	227, 207, 0, 218, 223, 205, 202, 182, 221, 203,
	201, 198, 191, 0, 0, 0, 216, 225, 235, 209,
	0, 230, 231, 232, 0, 0, 0, 0, 190, 0,
	0, 0, 0, 0, 0, 200, 0, 0, 215, 206,
	0, 0, 0, 0, 0, 0, 179, 0, 199, 233,
	212, 193, 226, 0, 0, 0, 237, 0, 0, 0,
	0, 0, 0, 192, 0, 185, 0, 0, 0, 195,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	229, 0, 0, 0, 0, 0, 211, 0, 0, 0,
	0, 186, 0, 214, 210, 224, 181, 222, 217, 204,
	196, 197, 180, 0, 213, 189, 194, 188, 208, 219,
	220, 187, 234, 184, 228, 183, 0, 227, 207, 0,
	218, 223, 205, 202, 182, 221, 203, 201, 198, 191,
	0, 0, 0, 216, 225, 235, 0, 0, 230, 231,
	232, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 179, 0, 199, 233, 212, 193, 226,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	192, 0, 0, 0, 0, 0, 195,
}
var yyPact = [...]int{

	106, -1000, -175, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	663, 717, -1000, -1000, -1000, -1000, -1000, 494, -12, 12,
	-40, 28, 27, 1897, 6692, -1000, -1000, 258, -1000, -166,
	-1000, -1000, -1000, -1000, -1000, -1000, 506, -1000, -1000, -1000,
	-1000, -1000, 655, 661, 514, 647, 555, -1000, 12, 6692,
	696, 1675, -150, 295, 7, 390, 7, 26, -1000, 3,
	388, 3, 6692, 6692, -1000, 693, -84, 689, -38, -1000,
	-1000, -91, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	311, 629, 4411, 4411, 663, -1000, 506, -1000, -1000, -1000,
	615, -1000, -1000, 215, 6221, 608, 82, 6692, 465, 2117,
	-1000, -1000, -1000, 153, 5593, -1000, -1000, -1000, 605, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, 658, 444, -1000, 208,
	6692, 175, 518, 6692, 6692, 6692, 640, 517, 6692, -1000,
	-1000, -1000, 6692, 677, 6692, 6692, 6692, -1000, -1000, 676,
	-1000, -1000, -1000, -1000, -1000, -1000, 708, 108, 245, -1000,
	4411, 1099, 468, 468, -1000, -1000, 72, -1000, -1000, 4604,
	4604, 4604, 4604, 4604, 4604, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, 468, 77,
	-1000, 4218, 468, 468, 468, 468, 468, 468, 4411, 468,
	468, 468, 468, 468, 468, 468, 468, 468, 468, 468,
	468, 468, -1000, -1000, 466, -1000, 315, 655, 311, 555,
	5436, 528, -1000, -1000, 492, 6692, -1000, 6535, 3439, 672,
	2117, 465, 4411, 71, -1000, -1000, -1000, -1000, -153, -162,
	118, 194, -74, -1000, -1000, 472, -1000, 472, 472, 472,
	472, -44, -44, -44, -44, -1000, -1000, -1000, -1000, -1000,
	511, -1000, 472, 472, 472, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, 510, 510, 510, 493, 493, -1000, 639,
	6692, -1000, 75, -1000, -1000, 6692, -1000, -1000, 672, 6692,
	-1000, -1000, -1000, 655, -108, -1000, 570, 4411, 4411, 383,
	4411, 4411, 109, 4604, 229, 134, 4604, 4604, 4604, 4604,
	4604, 4604, 4604, 4604, 4604, 4604, 4604, 4604, 4604, 4604,
	4604, 255, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	377, -1000, 506, 584, 584, 81, 81, 81, 81, 81,
	4797, 3639, 3219, 311, 439, 142, 4218, 3832, 3832, 4411,
	4411, 3832, 649, 138, 142, 6378, -1000, 311, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, 3832, 3832, 3832, 3832, 4411,
	-1000, -1000, -1000, 629, -1000, 649, 660, -1000, 580, 579,
	3832, -1000, 516, 6535, 468, -1000, 5279, -1000, 488, -1000,
	135, -1000, 76, -1000, -1000, -1000, 663, 4411, -1000, 142,
	-1000, 375, 468, -1000, -67, 131, -1000, -1000, 507, 631,
	124, 358, -1000, -1000, 625, -1000, 199, -76, -1000, -1000,
	247, -44, -44, -1000, -1000, 71, 589, 71, 71, 71,
	268, -1000, -1000, -1000, -1000, 243, -1000, -1000, -1000, 235,
	-1000, -1000, 2559, -1000, 150, 127, 14, -4, -6, -7,
	-1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, -1000, -1000, 266, 564, 109, 145,
	-1000, -1000, 392, -1000, -1000, 142, 142, 951, -1000, -1000,
	-1000, -1000, 229, 4604, 4604, 4604, 157, 951, 1045, 598,
	780, 81, 479, 479, 92, 92, 92, 92, 92, 433,
	433, -1000, -1000, -1000, 311, -1000, -1000, -1000, 311, 3832,
	462, -1000, -1000, 1309, 49, 468, 46, -1000, -1000, 4411,
	-1000, 311, 381, 381, 68, 310, 381, 3832, 185, -1000,
	4411, 311, -1000, 381, 311, 381, 381, -1000, -1000, 6692,
	-1000, -1000, -1000, -1000, 503, -1000, 634, 450, 454, -1000,
	-1000, 4025, 311, 434, 44, 663, 6535, 4411, 3219, 655,
	142, -1000, 339, 617, 126, 334, 6378, -1000, 331, -1000,
	-1000, -70, 424, -1000, -1000, -1000, 436, 71, 71, -1000,
	139, -1000, -1000, -1000, 425, -1000, 458, 399, -1000, -1000,
	-1000, -1000, 6692, -1000, -1000, -1000, -1000, -1000, 328, -45,
	494, 307, 295, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, 157, 951, 533, -1000, 4604, 4604, -1000, -1000, 381,
	3832, -1000, -1000, 6064, -1000, -1000, 2779, 3832, 2999, 142,
	-1000, -1000, -1000, 52, 255, 52, -130, 431, 125, -1000,
	4411, 204, -1000, -1000, -1000, -1000, -1000, -1000, 672, 5907,
	628, -1000, 468, -1000, -1000, 505, 6378, 6378, 655, -1000,
	142, -1000, -1000, 311, -1000, -51, 231, -1000, 351, -1000,
	472, -1000, 104, -1000, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, -1000, -1000, 263, 228, -1000, 226, -1000, -1000,
	-1000, 585, -1000, -1000, -1000, -1000, 4604, 951, 951, -1000,
	-1000, -1000, -1000, 42, 311, -1000, 311, 472, 472, -1000,
	472, 493, -1000, 472, -23, 472, -28, 311, 311, 468,
	-127, -1000, 142, 4411, 670, 456, 715, -1000, -1000, -1000,
	644, 4959, 5117, 699, -1000, 468, -1000, 506, 34, -1000,
	-1000, 2559, 122, -1000, -1000, 6378, -1000, 203, 627, -1000,
	586, -1000, 417, 401, 282, 951, 2339, -1000, -1000, -1000,
	53, -1000, -1000, -1000, -1000, -1000, -1000, -1000, -1000, 4604,
	311, 262, 142, 666, 657, 5907, 5907, 5907, 5907, -1000,
	549, 545, -1000, 543, 541, 565, 6692, -1000, 346, 4959,
	78, -1000, 5750, -1000, -1000, 6535, 454, 311, 6378, -1000,
	278, -1000, -1000, 260, -1000, -1000, -1000, -1000, -1000, -1000,
	-1000, -1000, 70, -1000, -1000, -1000, 4411, 4411, 715, 513,
	668, -1000, -1000, -1000, -1000, 544, -1000, 532, -1000, -1000,
	-1000, -1000, -1000, 24, 22, 17, -1000, 453, -1000, -1000,
	-1000, -1000, 311, 23, -140, 142, 452, 4411, 4411, -1000,
	-1000, 468, 468, 468, -1000, 562, -136, -145, 142, 142,
	6378, 6378, 6378, -1000, 560, -1000, 288, -1000, 288, 288,
	-138, -1000, 6378, -1000, -1000, -141, -1000, -147, -1000,
}
var yyPgo = [...]int{

	0, 918, 916, 909, 907, 905, 904, 45, 335, 903,
	901, 900, 899, 898, 897, 896, 895, 894, 891, 890,
	888, 887, 886, 69, 885, 884, 868, 41, 867, 63,
	865, 862, 857, 28, 176, 37, 25, 80, 856, 10,
	16, 7, 855, 854, 2, 853, 941, 852, 851, 850,
	849, 8, 22, 847, 845, 844, 839, 40, 652, 836,
	826, 822, 814, 813, 812, 32, 1, 15, 14, 19,
	809, 38, 4, 808, 30, 807, 804, 803, 797, 23,
	794, 43, 791, 18, 36, 785, 29, 5, 26, 50,
	44, 783, 782, 781, 321, 780, 236, 298, 779, 778,
	777, 48, 0, 6, 12, 21, 776, 713, 47, 3,
	775, 774, 42, 11, 24, 772, 20, 768, 766, 765,
	764, 763, 754, 752, 51, 751, 750, 13, 31, 749,
	747, 746, 745, 744, 49, 17, 742, 741, 740, 736,
	39, 735, 33, 27, 734, 732, 730, 9, 728, 726,
	724, 53, 146, 720, 101,
}
var yyR1 = [...]int{

	0, 149, 150, 150, 6, 6, 6, 6, 6, 6,
	6, 6, 6, 6, 6, 6, 6, 6, 6, 6,
	6, 7, 7, 7, 8, 9, 9, 10, 10, 11,
	11, 26, 26, 12, 13, 14, 14, 115, 115, 15,
	15, 15, 15, 18, 143, 145, 130, 130, 129, 129,
	131, 131, 144, 144, 144, 140, 118, 118, 118, 121,
	121, 119, 119, 119, 119, 119, 119, 119, 120, 120,
	120, 120, 120, 122, 122, 122, 122, 122, 123, 123,
	123, 123, 123, 123, 123, 123, 123, 123, 123, 123,
	123, 123, 139, 139, 124, 124, 134, 134, 135, 135,
	135, 132, 132, 133, 133, 136, 136, 136, 125, 125,
	125, 125, 125, 137, 137, 127, 127, 127, 128, 128,
	138, 138, 138, 138, 138, 126, 126, 141, 146, 146,
	146, 146, 142, 142, 148, 148, 147, 16, 16, 16,
	16, 16, 16, 16, 16, 17, 17, 17, 1, 19,
	2, 3, 4, 5, 5, 5, 5, 117, 117, 117,
	20, 20, 20, 20, 20, 20, 20, 20, 20, 20,
	32, 32, 48, 48, 21, 22, 22, 22, 22, 153,
	23, 24, 24, 25, 25, 25, 29, 29, 29, 27,
	27, 28, 28, 35, 35, 34, 34, 36, 36, 36,
	36, 106, 106, 106, 105, 105, 38, 38, 39, 39,
	40, 40, 41, 41, 41, 49, 42, 42, 42, 42,
	111, 111, 110, 110, 110, 109, 109, 43, 43, 43,
	43, 44, 44, 44, 44, 45, 45, 47, 47, 46,
	46, 50, 50, 50, 50, 51, 51, 52, 52, 37,
	37, 37, 37, 37, 37, 37, 95, 95, 54, 54,
	53, 53, 53, 53, 53, 53, 53, 53, 53, 53,
	64, 64, 64, 64, 64, 64, 55, 55, 55, 55,
	55, 55, 55, 33, 33, 65, 65, 65, 71, 66,
	66, 58, 58, 58, 58, 58, 58, 58, 58, 58,
	58, 58, 58, 58, 58, 58, 58, 58, 58, 58,
	58, 58, 58, 58, 58, 58, 58, 58, 58, 58,
	58, 62, 62, 62, 60, 60, 60, 60, 60, 60,
	60, 60, 60, 61, 61, 61, 61, 61, 61, 61,
	61, 154, 154, 63, 63, 63, 63, 30, 30, 30,
	30, 30, 114, 114, 116, 116, 116, 116, 116, 116,
	116, 116, 116, 116, 116, 116, 116, 75, 75, 31,
	31, 73, 73, 74, 76, 76, 72, 72, 72, 57,
	57, 57, 57, 57, 57, 57, 59, 59, 59, 77,
	77, 78, 78, 79, 79, 80, 80, 81, 82, 82,
	82, 83, 83, 83, 83, 84, 84, 84, 56, 56,
	56, 56, 56, 56, 85, 85, 85, 85, 86, 86,
	67, 67, 69, 69, 68, 70, 87, 87, 88, 89,
	89, 90, 90, 92, 92, 92, 91, 91, 91, 93,
	93, 96, 96, 97, 97, 94, 94, 98, 98, 98,
	98, 98, 98, 98, 98, 98, 98, 99, 99, 99,
	100, 100, 103, 103, 104, 104, 107, 107, 108, 108,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 101, 101, 101,
	101, 101, 101, 101, 101, 101, 101, 102, 102, 102,
	102, 102, 102, 102, 102, 102, 102, 102, 102, 102,
	102, 102, 102, 102, 102, 102, 102, 102, 102, 102,
	102, 102, 102, 102, 102, 102, 102, 102, 102, 102,
	102, 102, 102, 102, 102, 102, 102, 102, 102, 102,
	102, 102, 102, 102, 102, 102, 102, 102, 102, 102,
	102, 102, 102, 102, 151, 152, 112, 113, 113, 113,
}
var yyR2 = [...]int{

	0, 2, 0, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 4, 6, 7, 10, 1, 3, 1, 3, 6,
	7, 1, 1, 8, 7, 3, 4, 1, 1, 2,
	9, 4, 6, 4, 4, 3, 0, 3, 0, 4,
	0, 3, 1, 3, 3, 7, 3, 1, 1, 2,
	1, 1, 1, 1, 1, 1, 1, 1, 2, 2,
	2, 2, 2, 1, 2, 2, 2, 1, 4, 4,
	2, 2, 3, 3, 3, 3, 1, 1, 1, 1,
	1, 4, 1, 3, 0, 3, 0, 5, 0, 3,
	5, 0, 1, 0, 1, 0, 1, 2, 0, 2,
	2, 2, 2, 0, 1, 0, 3, 3, 0, 2,
	0, 2, 1, 2, 1, 0, 2, 4, 2, 3,
	2, 2, 1, 1, 1, 3, 2, 6, 7, 7,
	7, 9, 7, 7, 7, 4, 5, 4, 3, 3,
	2, 2, 3, 2, 3, 2, 2, 1, 1, 1,
	3, 5, 6, 5, 5, 5, 3, 3, 6, 3,
	0, 3, 0, 2, 2, 2, 2, 2, 2, 0,
	2, 0, 2, 1, 2, 2, 0, 1, 1, 0,
	1, 0, 1, 0, 1, 1, 3, 1, 2, 3,
	5, 0, 1, 2, 1, 1, 0, 2, 1, 3,
	1, 1, 1, 3, 3, 3, 3, 5, 5, 3,
	0, 1, 0, 1, 2, 1, 1, 1, 2, 2,
	1, 2, 3, 2, 3, 2, 2, 2, 1, 1,
	3, 0, 5, 5, 5, 1, 3, 0, 2, 1,
	3, 3, 2, 3, 1, 2, 0, 3, 1, 1,
	3, 3, 4, 4, 5, 3, 4, 5, 6, 2,
	1, 2, 1, 2, 1, 2, 1, 1, 1, 1,
	1, 1, 1, 0, 2, 1, 1, 1, 3, 1,
	3, 1, 1, 1, 1, 1, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 2, 2, 2, 2, 2, 3, 1, 1, 1,
	1, 4, 5, 6, 4, 4, 6, 6, 6, 9,
	7, 5, 4, 2, 2, 2, 2, 2, 2, 2,
	2, 0, 2, 4, 4, 4, 4, 0, 3, 4,
	7, 3, 1, 1, 2, 3, 3, 1, 2, 2,
	1, 2, 1, 2, 2, 1, 2, 0, 1, 0,
	2, 1, 2, 4, 0, 2, 1, 3, 5, 1,
	1, 1, 1, 1, 1, 1, 1, 2, 2, 0,
	3, 0, 2, 0, 3, 1, 3, 2, 0, 1,
	1, 0, 2, 4, 4, 0, 2, 4, 2, 1,
	3, 5, 4, 6, 1, 3, 3, 5, 0, 5,
	1, 3, 1, 2, 3, 1, 1, 3, 3, 1,
	3, 3, 3, 1, 2, 1, 1, 1, 1, 1,
	1, 0, 2, 0, 3, 0, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 0, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 1, 1, 1, 1,
	1, 1, 1, 1, 1, 1, 0, 0, 1, 1,
}
var yyChk = [...]int{

	-1000, -149, -6, -7, -11, -12, -13, -14, -15, -16,
	-17, -1, -19, -20, -21, -2, -3, -4, -5, -22,
	-8, -9, 6, -26, 8, 9, 29, -18, 109, 110,
	111, 133, 113, 126, 48, 211, 128, 217, 219, 220,
	223, 222, 24, 127, 131, 132, -151, 7, 195, 51,
	-150, 227, -79, 14, -25, 5, -23, -153, -23, -23,
	-23, -23, -143, 51, 187, 117, 116, -94, 120, 116,
	117, 187, 116, 116, -117, 175, 31, 185, 109, 179,
	180, 182, 184, 54, -101, -102, 69, 21, 23, 169,
	72, 104, 15, 73, 154, 157, 103, 196, 46, 188,
	189, 186, 187, 174, 28, 9, 24, 127, 20, 97,
	111, 76, 77, 212, 130, 22, 128, 66, 18, 49,
	10, 12, 13, 121, 120, 88, 117, 44, 7, 105,
	25, 85, 40, 27, 42, 86, 16, 190, 191, 30,
	200, 99, 47, 34, 70, 64, 67, 50, 68, 14,
	45, 215, 214, 87, 112, 195, 43, 6, 199, 29,
	126, 41, 116, 75, 119, 65, 216, 5, 122, 8,
	48, 123, 192, 193, 194, 32, 213, 74, 11, 201,
	140, 134, 162, 153, 151, 63, 129, 149, 145, 143,
	26, 167, 218, 206, 144, 224, 138, 139, 166, 203,
	33, 165, 161, 164, 137, 160, 37, 156, 146, 17,
	132, 124, 205, 142, 131, 36, 171, 136, 158, 147,
	148, 163, 135, 159, 133, 172, 207, 155, 152, 118,
	176, 177, 178, 204, 150, 173, -107, 54, -102, -112,
	-112, 57, -112, 221, -112, -112, -112, -112, -112, -112,
	-7, -83, 16, 15, -10, -8, -151, 6, 19, 20,
	-29, 38, 39, -24, -94, -46, -107, 10, -89, -115,
	-90, 225, 224, -104, -92, -103, -101, 157, 154, 226,
	54, -102, 109, 31, 175, 185, 208, -144, -140, 54,
	-97, 121, 54, -97, 116, -96, 121, 54, -96, -46,
	-46, -112, 10, 175, 10, 116, 187, -112, -112, 181,
	-112, -112, -112, -152, 53, -84, 18, 30, -37, -53,
	70, -58, 28, 22, -57, -54, -72, -70, -71, 104,
	93, 94, 101, 71, 105, -62, -60, -61, -63, 56,
	55, 57, 58, 59, 60, 64, 65, 66, -103, -107,
	-68, -151, 42, 43, 196, 197, 200, 198, 73, 32,
	186, 194, 193, 192, 190, 191, 188, 189, 121, 187,
	99, 195, 54, -102, -80, -81, -37, -79, -7, -23,
	34, -27, 20, 62, -47, 25, -46, 29, 106, -46,
	52, -89, 78, -91, -103, 56, 28, 29, 15, 53,
	52, -118, -121, -123, -122, -119, -120, 151, 152, 104,
	155, 158, 159, 160, 161, 162, 163, 164, 165, 166,
	167, 129, 147, 148, 149, 150, 134, 135, 136, 137,
	138, 139, 140, 142, 143, 144, 145, 146, -107, 70,
	50, -46, -46, -46, 22, 50, -107, -46, -48, 10,
	-46, -46, -46, -32, 10, 8, 88, 69, 68, 85,
	52, 17, -37, -55, 88, 70, 86, 87, 72, 90,
	89, 100, 93, 94, 95, 96, 97, 98, 99, 91,
	92, 103, 78, 79, 80, 81, 82, 83, 84, -95,
	-151, -71, -151, 107, 108, -58, -58, -58, -58, -58,
	-58, -151, 106, -7, -66, -37, -151, -151, -151, -151,
	-151, -151, -151, -75, -37, -151, -154, -151, -154, -154,
	-154, -154, -154, -154, -154, -151, -151, -151, -151, 52,
	-82, 23, 24, -83, -152, -29, -59, -103, 57, 60,
	-28, 41, -56, 29, 32, -7, -151, -46, -87, -88,
	-72, -103, -107, -108, -107, -101, -52, 11, -90, -37,
	-128, 103, 210, -145, -130, 218, -140, -141, -146, 124,
	122, -142, 117, 27, -136, 64, 70, -132, 172, -124,
	51, -124, -124, -124, -124, -127, 154, -127, -127, -127,
	51, -124, -124, -124, -134, 51, -134, -134, -135, 51,
	-135, 22, -46, -98, 112, 218, 196, 114, 111, 115,
	110, 169, 154, 63, 28, 14, 207, 54, -46, -112,
	-52, -46, -112, -112, -112, -83, 183, 36, -37, -37,
	-64, 64, 70, 65, 66, -37, -37, -58, -65, -68,
	-71, 61, 88, 86, 87, 72, -58, -58, -58, -58,
	-58, -58, -58, -58, -58, -58, -58, -58, -58, -58,
	-58, -114, 54, 56, 54, -57, -57, -103, -35, 20,
	-34, -36, 95, -37, -107, -104, -108, -101, -152, 52,
	-152, -7, -34, -34, -37, -37, -34, -27, -73, -74,
	74, -103, -152, -34, -35, -34, -34, -81, -84, -93,
	18, 10, 32, 32, -34, -86, 50, -87, -67, -69,
	-68, -151, -7, -85, -103, -52, 52, 78, 106, -79,
	-37, 54, -151, -131, 169, 78, 51, 27, -142, 54,
	54, -125, 28, 64, -133, 173, 57, -127, -127, -128,
	29, -128, -128, -128, -139, 56, 57, 57, -113, -151,
	-104, -112, -99, -100, 119, 21, 117, 27, 78, 119,
	125, 125, 125, -112, -112, 56, 37, 64, 65, 66,
	-65, -58, -58, -58, -33, 130, 69, -152, -152, -34,
	52, -106, -105, 21, -103, 56, 106, -151, 106, -37,
	-152, -152, -152, 52, 123, 21, -152, -34, -76, -74,
	76, -37, -152, -152, -152, -152, -152, -46, -38, 10,
	26, -86, 52, -152, -152, -152, 52, 106, -79, -88,
	-37, -104, -83, 54, -129, 28, 78, 54, -148, -147,
	-103, 54, -137, 169, 56, 57, 58, 64, 53, -128,
	-128, 54, 104, 53, 52, 52, 53, 52, -46, -112,
	54, 154, -143, 54, -140, -33, 69, -58, -58, -152,
	-36, -105, 95, -108, -35, -104, -116, 104, 151, 129,
	149, 145, 166, 156, 171, 147, 172, -114, -116, 201,
	-79, 77, -37, 75, -52, -39, -40, -41, -42, -49,
	-71, -151, -46, 27, -69, 32, -7, -151, -103, -103,
	-83, -152, 157, 57, 53, 52, -124, -138, 124, 27,
	122, 56, 57, 57, 29, -58, 106, -152, -152, -124,
	-124, -124, -135, -124, 139, -124, 139, -152, -152, -151,
	-31, 199, -37, -77, 12, 52, -43, -44, -45, 40,
	44, 46, 41, 42, 43, 47, -111, 21, -39, -151,
	-110, -109, 21, -107, 56, 8, -67, -7, 106, -113,
	78, -147, -126, 63, 27, 27, 53, 53, 54, 95,
	-127, 54, -58, -152, 56, -78, 13, 15, -40, -41,
	-40, -41, 40, 40, 40, 45, 40, 45, 40, -44,
	-107, -152, -50, 48, 120, 49, -109, -87, -152, -103,
	54, 56, -30, 88, 204, -37, -66, 50, 50, 40,
	40, 117, 117, 117, -152, 202, 47, 205, -37, -37,
	-151, -151, -151, 37, 203, 206, -51, -103, -51, -51,
	37, -152, 52, -152, -152, 204, -103, 205, 206,
}
var yyDef = [...]int{

	0, -2, 2, -2, 5, 6, 7, 8, 9, 10,
	11, 12, 13, 14, 15, 16, 17, 18, 19, 20,
	393, 0, 179, 179, 179, 179, 179, 0, 0, 445,
	0, 0, 0, 0, 0, 626, 626, 0, 626, 0,
	626, 626, 626, 626, 626, 626, 0, 31, 32, 624,
	1, 3, 401, 0, 0, 183, 186, 181, 445, 0,
	0, 0, 39, 0, 443, 0, 443, 0, 446, 441,
	0, 441, 0, 0, 626, 549, 506, 550, 482, 626,
	626, 0, 626, 157, 158, 159, 470, 471, 472, 473,
	474, 475, 476, 477, 478, 479, 480, 481, 483, 484,
	485, 486, 487, 488, 489, 490, 491, 492, 493, 494,
	495, 496, 497, 498, 499, 500, 501, 502, 503, 504,
	505, 507, 508, 509, 510, 511, 512, 513, 514, 515,
	516, 517, 518, 519, 520, 521, 522, 523, 524, 525,
	526, 527, 528, 529, 530, 531, 532, 533, 534, 535,
	536, 537, 538, 539, 540, 541, 542, 543, 544, 545,
	546, 547, 548, 551, 552, 553, 554, 555, 556, 557,
	558, 559, 560, 561, 562, 563, 564, 565, 566, 567,
	568, 569, 570, 571, 572, 573, 574, 575, 576, 577,
	578, 579, 580, 581, 582, 583, 584, 585, 586, 587,
	588, 589, 590, 591, 592, 593, 594, 595, 596, 597,
	598, 599, 600, 601, 602, 603, 604, 605, 606, 607,
	608, 609, 610, 611, 612, 613, 614, 615, 616, 617,
	618, 619, 620, 621, 622, 623, 174, 466, 467, 150,
	151, 626, 153, 626, 155, 156, 175, 176, 177, 178,
	25, 405, 0, 0, 393, 27, 0, 179, 184, 185,
	189, 187, 188, 180, 0, 0, 239, 0, 35, 0,
	429, 37, -2, 0, 0, 464, 465, -2, 478, 435,
	462, 463, 482, 506, 549, 550, 0, 0, 52, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 148,
	149, 160, 0, 172, 0, 0, 0, 166, 167, 170,
	169, 152, 154, 26, 625, 21, 0, 0, 402, 249,
	0, 254, 256, 0, 291, 292, 293, 294, 295, 0,
	0, 0, 0, 0, 0, 317, 318, 319, 320, 379,
	380, 381, 382, 383, 384, 385, 258, 259, 376, 0,
	425, 0, 0, 0, 0, 0, 0, 0, 367, 0,
	341, 341, 341, 341, 341, 341, 341, 341, 0, 0,
	0, 0, -2, -2, 394, 395, 398, 401, 25, 186,
	0, 191, 190, 182, 0, 0, 238, 0, 0, 247,
	0, 36, 0, 118, 436, 437, 438, 434, 0, 46,
	0, 105, 101, 57, 58, 94, 60, 94, 94, 94,
	94, 115, 115, 115, 115, 86, 87, 88, 89, 90,
	0, 73, 94, 94, 94, 77, 61, 62, 63, 64,
	65, 66, 67, 96, 96, 96, 98, 98, 41, 0,
	0, 43, 0, 145, 442, 0, 147, 626, 247, 0,
	626, 626, 626, 401, 0, 406, 0, 0, 0, 0,
	0, 0, 252, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 276, 277, 278, 279, 280, 281, 282, 255,
	0, 269, 0, 0, 0, 311, 312, 313, 314, 315,
	0, 193, 0, 25, 0, 289, 0, 0, 0, 0,
	0, 0, 189, 0, 368, 0, 333, 0, 334, 335,
	336, 337, 338, 339, 340, 0, 193, 0, 0, 0,
	397, 399, 400, 405, 28, 189, 0, 386, 0, 0,
	0, 192, 418, 0, 0, -2, 0, 237, 247, 426,
	0, 376, 0, 240, 468, 469, 393, 0, 430, 431,
	432, 0, 0, 44, 50, 0, 53, 54, 0, 0,
	0, 0, 132, 133, 108, 106, 0, 103, 102, 59,
	0, 115, 115, 80, 81, 118, 0, 118, 118, 118,
	0, 74, 75, 76, 68, 0, 69, 70, 71, 0,
	72, 444, 627, 626, 457, 0, 454, 0, 452, 0,
	447, 448, 449, 450, 451, 453, 455, 456, 146, 161,
	626, 173, 163, 164, 165, 626, 0, 0, 250, 251,
	253, 270, 0, 272, 274, 403, 404, 260, 261, 285,
	286, 287, 0, 0, 0, 0, 283, 265, 0, 296,
	297, 298, 299, 300, 301, 302, 303, 304, 305, 306,
	307, 310, 352, 353, 0, 308, 309, 316, 0, 0,
	194, 195, 197, 201, 0, 377, 0, -2, 288, 0,
	424, 25, 0, 0, 0, 0, 0, 0, 374, 371,
	0, 0, 342, 0, 0, 0, 0, 396, 22, 0,
	439, 440, 387, 388, 206, 29, 0, 418, 408, 420,
	422, 0, 25, 0, 414, 393, 0, 0, 0, 401,
	248, 119, 0, 48, 0, 0, 0, 128, 0, 130,
	131, 113, 0, 107, 56, 104, 0, 118, 118, 82,
	0, 83, 84, 85, 0, 92, 0, 0, 42, 628,
	629, 137, 0, 626, 458, 459, 460, 461, 0, 0,
	0, 0, 0, 162, 168, 171, 407, 271, 273, 275,
	262, 283, 266, 0, 263, 0, 0, 257, 321, 0,
	0, 198, 202, 0, 204, 205, 0, 193, 0, 290,
	-2, 324, 325, 0, 0, 0, 0, 393, 0, 372,
	0, 0, 332, 343, 344, 345, 346, 23, 247, 0,
	0, 30, 0, 423, -2, 0, 0, 0, 401, 427,
	428, 377, 34, 0, 45, 0, 0, 47, 0, 134,
	94, 129, 120, 114, 109, 110, 111, 112, 95, 78,
	79, 116, 117, 91, 0, 0, 99, 0, 138, 139,
	140, 0, 142, 143, 144, 264, 0, 284, 267, 322,
	196, 203, 199, 0, 0, 378, 0, 94, 94, 357,
	94, 98, 360, 94, 362, 94, 365, 0, 0, 0,
	369, 331, 375, 0, 389, 207, 208, 210, 211, 212,
	220, 0, 222, 0, 421, 0, -2, 0, 416, 415,
	33, 627, 0, 51, 127, 0, 136, 125, 0, 122,
	124, 93, 0, 0, 0, 268, 0, 323, 326, 354,
	115, 358, 359, 361, 363, 364, 366, 328, 327, 0,
	0, 0, 373, 391, 0, 0, 0, 0, 0, 227,
	0, 0, 230, 0, 0, 0, 0, 221, 0, 0,
	241, 223, 0, 225, 226, 0, 411, 25, 0, 40,
	0, 135, 55, 0, 121, 123, 97, 100, 141, 200,
	355, 356, 347, 330, 370, 24, 0, 0, 209, 216,
	0, 219, 228, 229, 231, 0, 233, 0, 235, 236,
	213, 214, 215, 0, 0, 0, 224, 419, -2, 417,
	49, 126, 0, 0, 0, 392, 390, 0, 0, 232,
	234, 0, 0, 0, 329, 0, 0, 0, 217, 218,
	0, 0, 0, 348, 0, 351, 0, 245, 0, 0,
	349, 242, 0, 243, 244, 0, 246, 0, 350,
}
var yyTok1 = [...]int{

	1, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 71, 3, 3, 3, 98, 90, 3,
	51, 53, 95, 93, 52, 94, 106, 96, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 227,
	79, 78, 80, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 100, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 3, 3, 3, 3, 3, 3,
	3, 3, 3, 3, 89, 3, 101,
}
var yyTok2 = [...]int{

	2, 3, 4, 5, 6, 7, 8, 9, 10, 11,
	12, 13, 14, 15, 16, 17, 18, 19, 20, 21,
	22, 23, 24, 25, 26, 27, 28, 29, 30, 31,
	32, 33, 34, 35, 36, 37, 38, 39, 40, 41,
	42, 43, 44, 45, 46, 47, 48, 49, 50, 54,
	55, 56, 57, 58, 59, 60, 61, 62, 63, 64,
	65, 66, 67, 68, 69, 70, 72, 73, 74, 75,
	76, 77, 81, 82, 83, 84, 85, 86, 87, 88,
	91, 92, 97, 99, 102, 103, 104, 105, 107, 108,
	109, 110, 111, 112, 113, 114, 115, 116, 117, 118,
	119, 120, 121, 122, 123, 124, 125, 126, 127, 128,
	129, 130, 131, 132, 133, 134, 135, 136, 137, 138,
	139, 140, 141, 142, 143, 144, 145, 146, 147, 148,
	149, 150, 151, 152, 153, 154, 155, 156, 157, 158,
	159, 160, 161, 162, 163, 164, 165, 166, 167, 168,
	169, 170, 171, 172, 173, 174, 175, 176, 177, 178,
	179, 180, 181, 182, 183, 184, 185, 186, 187, 188,
	189, 190, 191, 192, 193, 194, 195, 196, 197, 198,
	199, 200, 201, 202, 203, 204, 205, 206, 207, 208,
	209, 210, 211, 212, 213, 214, 215, 216, 217, 218,
	219, 220, 221, 222, 223, 224, 225, 226,
}
var yyTok3 = [...]int{
	0,
}

var yyErrorMessages = [...]struct {
	state int
	token int
	msg   string
}{}

//line yaccpar:1

/*	parser for yacc output	*/

var (
	yyDebug        = 0
	yyErrorVerbose = false
)

type yyLexer interface {
	Lex(lval *yySymType) int
	Error(s string)
}

type yyParser interface {
	Parse(yyLexer) int
	Lookahead() int
}

type yyParserImpl struct {
	lval  yySymType
	stack [yyInitialStackSize]yySymType
	char  int
}

func (p *yyParserImpl) Lookahead() int {
	return p.char
}

func yyNewParser() yyParser {
	return &yyParserImpl{}
}

const yyFlag = -1000

func yyTokname(c int) string {
	if c >= 1 && c-1 < len(yyToknames) {
		if yyToknames[c-1] != "" {
			return yyToknames[c-1]
		}
	}
	return __yyfmt__.Sprintf("tok-%v", c)
}

func yyStatname(s int) string {
	if s >= 0 && s < len(yyStatenames) {
		if yyStatenames[s] != "" {
			return yyStatenames[s]
		}
	}
	return __yyfmt__.Sprintf("state-%v", s)
}

func yyErrorMessage(state, lookAhead int) string {
	const TOKSTART = 4

	if !yyErrorVerbose {
		return "syntax error"
	}

	for _, e := range yyErrorMessages {
		if e.state == state && e.token == lookAhead {
			return "syntax error: " + e.msg
		}
	}

	res := "syntax error: unexpected " + yyTokname(lookAhead)

	// To match Bison, suggest at most four expected tokens.
	expected := make([]int, 0, 4)

	// Look for shiftable tokens.
	base := yyPact[state]
	for tok := TOKSTART; tok-1 < len(yyToknames); tok++ {
		if n := base + tok; n >= 0 && n < yyLast && yyChk[yyAct[n]] == tok {
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}
	}

	if yyDef[state] == -2 {
		i := 0
		for yyExca[i] != -1 || yyExca[i+1] != state {
			i += 2
		}

		// Look for tokens that we accept or reduce.
		for i += 2; yyExca[i] >= 0; i += 2 {
			tok := yyExca[i]
			if tok < TOKSTART || yyExca[i+1] == 0 {
				continue
			}
			if len(expected) == cap(expected) {
				return res
			}
			expected = append(expected, tok)
		}

		// If the default action is to accept or reduce, give up.
		if yyExca[i+1] != 0 {
			return res
		}
	}

	for i, tok := range expected {
		if i == 0 {
			res += ", expecting "
		} else {
			res += " or "
		}
		res += yyTokname(tok)
	}
	return res
}

func yylex1(lex yyLexer, lval *yySymType) (char, token int) {
	token = 0
	char = lex.Lex(lval)
	if char <= 0 {
		token = yyTok1[0]
		goto out
	}
	if char < len(yyTok1) {
		token = yyTok1[char]
		goto out
	}
	if char >= yyPrivate {
		if char < yyPrivate+len(yyTok2) {
			token = yyTok2[char-yyPrivate]
			goto out
		}
	}
	for i := 0; i < len(yyTok3); i += 2 {
		token = yyTok3[i+0]
		if token == char {
			token = yyTok3[i+1]
			goto out
		}
	}

out:
	if token == 0 {
		token = yyTok2[1] /* unknown char */
	}
	if yyDebug >= 3 {
		__yyfmt__.Printf("lex %s(%d)\n", yyTokname(token), uint(char))
	}
	return char, token
}

func yyParse(yylex yyLexer) int {
	return yyNewParser().Parse(yylex)
}

func (yyrcvr *yyParserImpl) Parse(yylex yyLexer) int {
	var yyn int
	var yyVAL yySymType
	var yyDollar []yySymType
	_ = yyDollar // silence set and not used
	yyS := yyrcvr.stack[:]

	Nerrs := 0   /* number of errors */
	Errflag := 0 /* error recovery flag */
	yystate := 0
	yyrcvr.char = -1
	yytoken := -1 // yyrcvr.char translated into internal numbering
	defer func() {
		// Make sure we report no lookahead when not parsing.
		yystate = -1
		yyrcvr.char = -1
		yytoken = -1
	}()
	yyp := -1
	goto yystack

ret0:
	return 0

ret1:
	return 1

yystack:
	/* put a state and value onto the stack */
	if yyDebug >= 4 {
		__yyfmt__.Printf("char %v in %v\n", yyTokname(yytoken), yyStatname(yystate))
	}

	yyp++
	if yyp >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyS[yyp] = yyVAL
	yyS[yyp].yys = yystate

yynewstate:
	yyn = yyPact[yystate]
	if yyn <= yyFlag {
		goto yydefault /* simple state */
	}
	if yyrcvr.char < 0 {
		yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
	}
	yyn += yytoken
	if yyn < 0 || yyn >= yyLast {
		goto yydefault
	}
	yyn = yyAct[yyn]
	if yyChk[yyn] == yytoken { /* valid shift */
		yyrcvr.char = -1
		yytoken = -1
		yyVAL = yyrcvr.lval
		yystate = yyn
		if Errflag > 0 {
			Errflag--
		}
		goto yystack
	}

yydefault:
	/* default state action */
	yyn = yyDef[yystate]
	if yyn == -2 {
		if yyrcvr.char < 0 {
			yyrcvr.char, yytoken = yylex1(yylex, &yyrcvr.lval)
		}

		/* look through exception table */
		xi := 0
		for {
			if yyExca[xi+0] == -1 && yyExca[xi+1] == yystate {
				break
			}
			xi += 2
		}
		for xi += 2; ; xi += 2 {
			yyn = yyExca[xi+0]
			if yyn < 0 || yyn == yytoken {
				break
			}
		}
		yyn = yyExca[xi+1]
		if yyn < 0 {
			goto ret0
		}
	}
	if yyn == 0 {
		/* error ... attempt to resume parsing */
		switch Errflag {
		case 0: /* brand new error */
			yylex.Error(yyErrorMessage(yystate, yytoken))
			Nerrs++
			if yyDebug >= 1 {
				__yyfmt__.Printf("%s", yyStatname(yystate))
				__yyfmt__.Printf(" saw %s\n", yyTokname(yytoken))
			}
			fallthrough

		case 1, 2: /* incompletely recovered error ... try again */
			Errflag = 3

			/* find a state where "error" is a legal shift action */
			for yyp >= 0 {
				yyn = yyPact[yyS[yyp].yys] + yyErrCode
				if yyn >= 0 && yyn < yyLast {
					yystate = yyAct[yyn] /* simulate a shift of "error" */
					if yyChk[yystate] == yyErrCode {
						goto yystack
					}
				}

				/* the current p has no shift on "error", pop stack */
				if yyDebug >= 2 {
					__yyfmt__.Printf("error recovery pops state %d\n", yyS[yyp].yys)
				}
				yyp--
			}
			/* there is no state on the stack with an error shift ... abort */
			goto ret1

		case 3: /* no shift yet; clobber input char */
			if yyDebug >= 2 {
				__yyfmt__.Printf("error recovery discards %s\n", yyTokname(yytoken))
			}
			if yytoken == yyEofCode {
				goto ret1
			}
			yyrcvr.char = -1
			yytoken = -1
			goto yynewstate /* try again in the same state */
		}
	}

	/* reduction by production yyn */
	if yyDebug >= 2 {
		__yyfmt__.Printf("reduce %v in:\n\t%v\n", yyn, yyStatname(yystate))
	}

	yynt := yyn
	yypt := yyp
	_ = yypt // guard against "declared and not used"

	yyp -= yyR2[yyn]
	// yyp is now the index of $0. Perform the default action. Iff the
	// reduced production is ε, $1 is possibly out of range.
	if yyp+1 >= len(yyS) {
		nyys := make([]yySymType, len(yyS)*2)
		copy(nyys, yyS)
		yyS = nyys
	}
	yyVAL = yyS[yyp+1]

	/* consult goto table to find next state */
	yyn = yyR1[yyn]
	yyg := yyPgo[yyn]
	yyj := yyg + yyS[yyp].yys + 1

	if yyj >= yyLast {
		yystate = yyAct[yyg]
	} else {
		yystate = yyAct[yyj]
		if yyChk[yystate] != -yyn {
			yystate = yyAct[yyg]
		}
	}
	// dummy call; replaced with literal code
	switch yynt {

	case 1:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:274
		{
			setParseTree(yylex, yyDollar[1].statement)
		}
	case 2:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:279
		{
		}
	case 3:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:280
		{
		}
	case 4:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:284
		{
			yyVAL.statement = yyDollar[1].selStmt
		}
	case 21:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:306
		{
			sel := yyDollar[1].selStmt.(*Select)
			sel.OrderBy = yyDollar[2].orderBy
			sel.Limit = yyDollar[3].limit
			sel.Lock = yyDollar[4].str
			yyVAL.selStmt = sel
		}
	case 22:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:314
		{
			yyVAL.selStmt = &Union{Type: yyDollar[2].str, Left: yyDollar[1].selStmt, Right: yyDollar[3].selStmt, OrderBy: yyDollar[4].orderBy, Limit: yyDollar[5].limit, Lock: yyDollar[6].str}
		}
	case 23:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:318
		{
			yyVAL.selStmt = &Select{Comments: Comments(yyDollar[2].bytes2), Cache: yyDollar[3].str, SelectExprs: SelectExprs{Nextval{Expr: yyDollar[5].expr}}, From: TableExprs{&AliasedTableExpr{Expr: yyDollar[7].tableName}}}
		}
	case 24:
		yyDollar = yyS[yypt-10 : yypt+1]
		//line sql.y:325
		{
			yyVAL.selStmt = &Select{Comments: Comments(yyDollar[2].bytes2), Cache: yyDollar[3].str, Distinct: yyDollar[4].str, Hints: yyDollar[5].str, SelectExprs: yyDollar[6].selectExprs, From: yyDollar[7].tableExprs, Where: NewWhere(WhereStr, yyDollar[8].expr), GroupBy: GroupBy(yyDollar[9].exprs), Having: NewWhere(HavingStr, yyDollar[10].expr)}
		}
	case 25:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:331
		{
			yyVAL.selStmt = yyDollar[1].selStmt
		}
	case 26:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:335
		{
			yyVAL.selStmt = &ParenSelect{Select: yyDollar[2].selStmt}
		}
	case 27:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:341
		{
			yyVAL.selStmt = yyDollar[1].selStmt
		}
	case 28:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:345
		{
			yyVAL.selStmt = &ParenSelect{Select: yyDollar[2].selStmt}
		}
	case 29:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:352
		{
			// insert_data returns a *Insert pre-filled with Columns & Values
			ins := yyDollar[5].ins
			ins.Action = yyDollar[1].str
			ins.Comments = yyDollar[2].bytes2
			ins.Ignore = yyDollar[3].str
			ins.Table = yyDollar[4].tableName
			ins.OnDup = OnDup(yyDollar[6].updateExprs)
			yyVAL.statement = ins
		}
	case 30:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:363
		{
			cols := make(Columns, 0, len(yyDollar[6].updateExprs))
			vals := make(ValTuple, 0, len(yyDollar[7].updateExprs))
			for _, updateList := range yyDollar[6].updateExprs {
				cols = append(cols, updateList.Name.Name)
				vals = append(vals, updateList.Expr)
			}
			yyVAL.statement = &Insert{Action: yyDollar[1].str, Comments: Comments(yyDollar[2].bytes2), Ignore: yyDollar[3].str, Table: yyDollar[4].tableName, Columns: cols, Rows: Values{vals}, OnDup: OnDup(yyDollar[7].updateExprs)}
		}
	case 31:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:375
		{
			yyVAL.str = InsertStr
		}
	case 32:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:379
		{
			yyVAL.str = ReplaceStr
		}
	case 33:
		yyDollar = yyS[yypt-8 : yypt+1]
		//line sql.y:385
		{
			yyVAL.statement = &Update{Comments: Comments(yyDollar[2].bytes2), Table: yyDollar[3].tableName, Exprs: yyDollar[5].updateExprs, Where: NewWhere(WhereStr, yyDollar[6].expr), OrderBy: yyDollar[7].orderBy, Limit: yyDollar[8].limit}
		}
	case 34:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:391
		{
			yyVAL.statement = &Delete{Comments: Comments(yyDollar[2].bytes2), Table: yyDollar[4].tableName, Where: NewWhere(WhereStr, yyDollar[5].expr), OrderBy: yyDollar[6].orderBy, Limit: yyDollar[7].limit}
		}
	case 35:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:397
		{
			yyVAL.statement = &Set{Comments: Comments(yyDollar[2].bytes2), Exprs: yyDollar[3].setExprs}
		}
	case 36:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:401
		{
			yyVAL.statement = &Set{Comments: Comments(yyDollar[2].bytes2), Exprs: yyDollar[4].setExprs}
		}
	case 37:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:407
		{
			yyVAL.str = SessionStr
		}
	case 38:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:411
		{
			yyVAL.str = GlobalStr
		}
	case 39:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:418
		{
			yyDollar[1].ddl.Action = CreateTableStr
			yyDollar[1].ddl.TableSpec = yyDollar[2].TableSpec
			yyVAL.statement = yyDollar[1].ddl
		}
	case 40:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line sql.y:424
		{
			yyDollar[1].ddl.Action = CreateTableStr
			yyDollar[1].ddl.TableSpec = yyDollar[2].TableSpec
			yyDollar[1].ddl.PartitionName = string(yyDollar[7].bytes)
			yyVAL.statement = yyDollar[1].ddl
		}
	case 41:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:431
		{
			var ifnotexists bool
			if yyDollar[3].byt != 0 {
				ifnotexists = true
			}
			yyVAL.statement = &DDL{Action: CreateDBStr, IfNotExists: ifnotexists, Database: yyDollar[4].tableIdent}
		}
	case 42:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:439
		{
			// Change this to an alter statement
			yyVAL.statement = &DDL{Action: CreateIndexStr, IndexName: string(yyDollar[3].bytes), Table: yyDollar[5].tableName, NewName: yyDollar[5].tableName}
		}
	case 43:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:446
		{
			var ifnotexists bool
			if yyDollar[3].byt != 0 {
				ifnotexists = true
			}
			yyVAL.ddl = &DDL{Action: CreateTableStr, IfNotExists: ifnotexists, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName}
			setDDL(yylex, yyVAL.ddl)
		}
	case 44:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:457
		{
			yyVAL.TableSpec = yyDollar[2].TableSpec
			yyVAL.TableSpec.Options = yyDollar[4].TableOptions
		}
	case 45:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:464
		{
			yyVAL.TableOptions.Engine = yyDollar[1].str
			yyVAL.TableOptions.Charset = yyDollar[3].str
		}
	case 46:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:470
		{
			yyVAL.str = ""
		}
	case 47:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:474
		{
			yyVAL.str = string(yyDollar[3].bytes)
		}
	case 48:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:479
		{
			yyVAL.str = ""
		}
	case 49:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:483
		{
			yyVAL.str = string(yyDollar[4].bytes)
		}
	case 50:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:488
		{
			yyVAL.str = ""
		}
	case 51:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:492
		{
		}
	case 52:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:498
		{
			yyVAL.TableSpec = &TableSpec{}
			yyVAL.TableSpec.AddColumn(yyDollar[1].columnDefinition)
		}
	case 53:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:503
		{
			yyVAL.TableSpec.AddColumn(yyDollar[3].columnDefinition)
		}
	case 54:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:507
		{
			yyVAL.TableSpec.AddIndex(yyDollar[3].indexDefinition)
		}
	case 55:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:513
		{
			yyDollar[2].columnType.NotNull = yyDollar[3].boolVal
			yyDollar[2].columnType.Default = yyDollar[4].optVal
			yyDollar[2].columnType.Autoincrement = yyDollar[5].boolVal
			yyDollar[2].columnType.KeyOpt = yyDollar[6].colKeyOpt
			yyDollar[2].columnType.Comment = yyDollar[7].optVal
			yyVAL.columnDefinition = &ColumnDefinition{Name: NewColIdent(string(yyDollar[1].bytes)), Type: yyDollar[2].columnType}
		}
	case 56:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:523
		{
			yyVAL.columnType = yyDollar[1].columnType
			yyVAL.columnType.Unsigned = yyDollar[2].boolVal
			yyVAL.columnType.Zerofill = yyDollar[3].boolVal
		}
	case 59:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:533
		{
			yyVAL.columnType = yyDollar[1].columnType
			yyVAL.columnType.Length = yyDollar[2].optVal
		}
	case 60:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:538
		{
			yyVAL.columnType = yyDollar[1].columnType
		}
	case 61:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:544
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 62:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:548
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 63:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:552
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 64:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:556
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 65:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:560
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 66:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:564
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 67:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:568
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 68:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:574
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
			yyVAL.columnType.Length = yyDollar[2].LengthScaleOption.Length
			yyVAL.columnType.Scale = yyDollar[2].LengthScaleOption.Scale
		}
	case 69:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:580
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
			yyVAL.columnType.Length = yyDollar[2].LengthScaleOption.Length
			yyVAL.columnType.Scale = yyDollar[2].LengthScaleOption.Scale
		}
	case 70:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:586
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
			yyVAL.columnType.Length = yyDollar[2].LengthScaleOption.Length
			yyVAL.columnType.Scale = yyDollar[2].LengthScaleOption.Scale
		}
	case 71:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:592
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
			yyVAL.columnType.Length = yyDollar[2].LengthScaleOption.Length
			yyVAL.columnType.Scale = yyDollar[2].LengthScaleOption.Scale
		}
	case 72:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:598
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
			yyVAL.columnType.Length = yyDollar[2].LengthScaleOption.Length
			yyVAL.columnType.Scale = yyDollar[2].LengthScaleOption.Scale
		}
	case 73:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:606
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 74:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:610
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 75:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:614
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 76:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:618
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 77:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:622
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 78:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:628
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal, Charset: yyDollar[3].str, Collate: yyDollar[4].str}
		}
	case 79:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:632
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal, Charset: yyDollar[3].str, Collate: yyDollar[4].str}
		}
	case 80:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:636
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 81:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:640
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 82:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:644
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Charset: yyDollar[2].str, Collate: yyDollar[3].str}
		}
	case 83:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:648
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Charset: yyDollar[2].str, Collate: yyDollar[3].str}
		}
	case 84:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:652
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Charset: yyDollar[2].str, Collate: yyDollar[3].str}
		}
	case 85:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:656
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), Charset: yyDollar[2].str, Collate: yyDollar[3].str}
		}
	case 86:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:660
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 87:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:664
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 88:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:668
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 89:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:672
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 90:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:676
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes)}
		}
	case 91:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:680
		{
			yyVAL.columnType = ColumnType{Type: string(yyDollar[1].bytes), EnumValues: yyDollar[3].strs}
		}
	case 92:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:686
		{
			yyVAL.strs = make([]string, 0, 4)
			yyVAL.strs = append(yyVAL.strs, "'"+string(yyDollar[1].bytes)+"'")
		}
	case 93:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:691
		{
			yyVAL.strs = append(yyDollar[1].strs, "'"+string(yyDollar[3].bytes)+"'")
		}
	case 94:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:696
		{
			yyVAL.optVal = nil
		}
	case 95:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:700
		{
			yyVAL.optVal = NewIntVal(yyDollar[2].bytes)
		}
	case 96:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:705
		{
			yyVAL.LengthScaleOption = LengthScaleOption{}
		}
	case 97:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:709
		{
			yyVAL.LengthScaleOption = LengthScaleOption{
				Length: NewIntVal(yyDollar[2].bytes),
				Scale:  NewIntVal(yyDollar[4].bytes),
			}
		}
	case 98:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:717
		{
			yyVAL.LengthScaleOption = LengthScaleOption{}
		}
	case 99:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:721
		{
			yyVAL.LengthScaleOption = LengthScaleOption{
				Length: NewIntVal(yyDollar[2].bytes),
			}
		}
	case 100:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:727
		{
			yyVAL.LengthScaleOption = LengthScaleOption{
				Length: NewIntVal(yyDollar[2].bytes),
				Scale:  NewIntVal(yyDollar[4].bytes),
			}
		}
	case 101:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:735
		{
			yyVAL.boolVal = BoolVal(false)
		}
	case 102:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:739
		{
			yyVAL.boolVal = BoolVal(true)
		}
	case 103:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:744
		{
			yyVAL.boolVal = BoolVal(false)
		}
	case 104:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:748
		{
			yyVAL.boolVal = BoolVal(true)
		}
	case 105:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:754
		{
			yyVAL.boolVal = BoolVal(false)
		}
	case 106:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:758
		{
			yyVAL.boolVal = BoolVal(false)
		}
	case 107:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:762
		{
			yyVAL.boolVal = BoolVal(true)
		}
	case 108:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:767
		{
			yyVAL.optVal = nil
		}
	case 109:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:771
		{
			yyVAL.optVal = NewStrVal(yyDollar[2].bytes)
		}
	case 110:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:775
		{
			yyVAL.optVal = NewIntVal(yyDollar[2].bytes)
		}
	case 111:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:779
		{
			yyVAL.optVal = NewFloatVal(yyDollar[2].bytes)
		}
	case 112:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:783
		{
			yyVAL.optVal = NewValArg(yyDollar[2].bytes)
		}
	case 113:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:788
		{
			yyVAL.boolVal = BoolVal(false)
		}
	case 114:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:792
		{
			yyVAL.boolVal = BoolVal(true)
		}
	case 115:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:797
		{
			yyVAL.str = ""
		}
	case 116:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:801
		{
			yyVAL.str = string(yyDollar[3].bytes)
		}
	case 117:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:805
		{
			yyVAL.str = string(yyDollar[3].bytes)
		}
	case 118:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:810
		{
			yyVAL.str = ""
		}
	case 119:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:814
		{
			yyVAL.str = string(yyDollar[2].bytes)
		}
	case 120:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:819
		{
			yyVAL.colKeyOpt = ColKeyNone
		}
	case 121:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:823
		{
			yyVAL.colKeyOpt = ColKeyPrimary
		}
	case 122:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:827
		{
			yyVAL.colKeyOpt = ColKey
		}
	case 123:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:831
		{
			yyVAL.colKeyOpt = ColKeyUniqueKey
		}
	case 124:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:835
		{
			yyVAL.colKeyOpt = ColKeyUnique
		}
	case 125:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:840
		{
			yyVAL.optVal = nil
		}
	case 126:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:844
		{
			yyVAL.optVal = NewStrVal(yyDollar[2].bytes)
		}
	case 127:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:850
		{
			yyVAL.indexDefinition = &IndexDefinition{Info: yyDollar[1].indexInfo, Columns: yyDollar[3].indexColumns}
		}
	case 128:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:856
		{
			yyVAL.indexInfo = &IndexInfo{Type: string(yyDollar[1].bytes) + " " + string(yyDollar[2].bytes), Name: NewColIdent("PRIMARY"), Primary: true, Unique: true}
		}
	case 129:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:860
		{
			yyVAL.indexInfo = &IndexInfo{Type: string(yyDollar[1].bytes) + " " + string(yyDollar[2].str), Name: NewColIdent(string(yyDollar[3].bytes)), Unique: true}
		}
	case 130:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:864
		{
			yyVAL.indexInfo = &IndexInfo{Type: string(yyDollar[1].bytes), Name: NewColIdent(string(yyDollar[2].bytes)), Unique: true}
		}
	case 131:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:868
		{
			yyVAL.indexInfo = &IndexInfo{Type: string(yyDollar[1].str), Name: NewColIdent(string(yyDollar[2].bytes)), Unique: false}
		}
	case 132:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:874
		{
			yyVAL.str = string(yyDollar[1].bytes)
		}
	case 133:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:878
		{
			yyVAL.str = string(yyDollar[1].bytes)
		}
	case 134:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:884
		{
			yyVAL.indexColumns = []*IndexColumn{yyDollar[1].indexColumn}
		}
	case 135:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:888
		{
			yyVAL.indexColumns = append(yyVAL.indexColumns, yyDollar[3].indexColumn)
		}
	case 136:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:894
		{
			yyVAL.indexColumn = &IndexColumn{Column: yyDollar[1].colIdent, Length: yyDollar[2].optVal}
		}
	case 137:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:900
		{
			yyVAL.statement = &DDL{Action: AlterStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName}
		}
	case 138:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:904
		{
			// Change this to a rename statement
			yyVAL.statement = &DDL{Action: RenameStr, Table: yyDollar[4].tableName, NewName: yyDollar[7].tableName}
		}
	case 139:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:909
		{
			// Rename an index can just be an alter
			yyVAL.statement = &DDL{Action: AlterStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName}
		}
	case 140:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:914
		{
			yyVAL.statement = &DDL{Action: AlterEngineStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName, Engine: string(yyDollar[7].bytes)}
		}
	case 141:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line sql.y:918
		{
			yyVAL.statement = &DDL{Action: AlterCharsetStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName, Charset: string(yyDollar[9].bytes)}
		}
	case 142:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:922
		{
			yyVAL.statement = &DDL{Action: AlterAddColumnStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName, TableSpec: yyDollar[7].TableSpec}
		}
	case 143:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:926
		{
			yyVAL.statement = &DDL{Action: AlterDropColumnStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName, DropColumnName: string(yyDollar[7].bytes)}
		}
	case 144:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:930
		{
			yyVAL.statement = &DDL{Action: AlterModifyColumnStr, Table: yyDollar[4].tableName, NewName: yyDollar[4].tableName, ModifyColumnDef: yyDollar[7].columnDefinition}
		}
	case 145:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:937
		{
			var exists bool
			if yyDollar[3].byt != 0 {
				exists = true
			}
			yyVAL.statement = &DDL{Action: DropTableStr, Table: yyDollar[4].tableName, IfExists: exists}
		}
	case 146:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:945
		{
			// Change this to an alter statement
			yyVAL.statement = &DDL{Action: DropIndexStr, IndexName: string(yyDollar[3].bytes), Table: yyDollar[5].tableName, NewName: yyDollar[5].tableName}
		}
	case 147:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:950
		{
			var exists bool
			if yyDollar[3].byt != 0 {
				exists = true
			}
			yyVAL.statement = &DDL{Action: DropDBStr, Database: yyDollar[4].tableIdent, IfExists: exists}
		}
	case 148:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:960
		{
			yyVAL.statement = &DDL{Action: TruncateTableStr, Table: yyDollar[3].tableName, NewName: yyDollar[3].tableName}
		}
	case 149:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:966
		{
			yyVAL.statement = &DDL{Action: AlterStr, Table: yyDollar[3].tableName, NewName: yyDollar[3].tableName}
		}
	case 150:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:972
		{
			yyVAL.statement = &Xa{}
		}
	case 151:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:978
		{
			yyVAL.statement = &Explain{}
		}
	case 152:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:984
		{
			yyVAL.statement = &Kill{QueryID: &NumVal{raw: string(yyDollar[2].bytes)}}
		}
	case 153:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:990
		{
			yyVAL.statement = &Transaction{Action: BeginTxnStr}
		}
	case 154:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:994
		{
			yyVAL.statement = &Transaction{Action: StartTxnStr}
		}
	case 155:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:998
		{
			yyVAL.statement = &Transaction{Action: RollbackTxnStr}
		}
	case 156:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1002
		{
			yyVAL.statement = &Transaction{Action: CommitTxnStr}
		}
	case 157:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1008
		{
			yyVAL.str = ShowUnsupportedStr
		}
	case 158:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1012
		{
			switch v := string(yyDollar[1].bytes); v {
			case ShowDatabasesStr, ShowTablesStr, ShowEnginesStr, ShowVersionsStr, ShowProcesslistStr, ShowQueryzStr, ShowTxnzStr, ShowColumnsStr:
				yyVAL.str = v
			default:
				yyVAL.str = ShowUnsupportedStr
			}
		}
	case 159:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1021
		{
			yyVAL.str = ShowUnsupportedStr
		}
	case 160:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1027
		{
			yyVAL.statement = &Show{Type: yyDollar[2].str}
		}
	case 161:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1031
		{
			yyVAL.statement = &Show{Type: ShowTablesStr, Database: yyDollar[4].tableName}
		}
	case 162:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1035
		{
			yyVAL.statement = &Show{Type: ShowFullTablesStr, Database: yyDollar[4].tableName, Where: NewWhere(WhereStr, yyDollar[5].expr)}
		}
	case 163:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1039
		{
			yyVAL.statement = &Show{Type: ShowColumnsStr, Table: yyDollar[4].tableName}
		}
	case 164:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1043
		{
			yyVAL.statement = &Show{Type: ShowCreateTableStr, Table: yyDollar[4].tableName}
		}
	case 165:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1047
		{
			yyVAL.statement = &Show{Type: ShowCreateDatabaseStr, Database: yyDollar[4].tableName}
		}
	case 166:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1051
		{
			yyVAL.statement = &Show{Type: ShowWarningsStr}
		}
	case 167:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1055
		{
			yyVAL.statement = &Show{Type: ShowVariablesStr}
		}
	case 168:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1059
		{
			yyVAL.statement = &Show{Type: ShowBinlogEventsStr, From: yyDollar[4].str, Limit: yyDollar[5].limit}
		}
	case 169:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1063
		{
			yyVAL.statement = &Show{Type: ShowStatusStr}
		}
	case 170:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1068
		{
			yyVAL.str = ""
		}
	case 171:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1072
		{
			yyVAL.str = string(yyDollar[3].bytes)
		}
	case 172:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1077
		{
			yyVAL.tableName = TableName{}
		}
	case 173:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1081
		{
			yyVAL.tableName = yyDollar[2].tableName
		}
	case 174:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1087
		{
			yyVAL.statement = &Use{DBName: yyDollar[2].tableIdent}
		}
	case 175:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1093
		{
			yyVAL.statement = &OtherRead{}
		}
	case 176:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1097
		{
			yyVAL.statement = &OtherRead{}
		}
	case 177:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1101
		{
			yyVAL.statement = &OtherAdmin{}
		}
	case 178:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1105
		{
			yyVAL.statement = &OtherAdmin{}
		}
	case 179:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1110
		{
			setAllowComments(yylex, true)
		}
	case 180:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1114
		{
			yyVAL.bytes2 = yyDollar[2].bytes2
			setAllowComments(yylex, false)
		}
	case 181:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1120
		{
			yyVAL.bytes2 = nil
		}
	case 182:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1124
		{
			yyVAL.bytes2 = append(yyDollar[1].bytes2, yyDollar[2].bytes)
		}
	case 183:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1130
		{
			yyVAL.str = UnionStr
		}
	case 184:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1134
		{
			yyVAL.str = UnionAllStr
		}
	case 185:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1138
		{
			yyVAL.str = UnionDistinctStr
		}
	case 186:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1143
		{
			yyVAL.str = ""
		}
	case 187:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1147
		{
			yyVAL.str = SQLNoCacheStr
		}
	case 188:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1151
		{
			yyVAL.str = SQLCacheStr
		}
	case 189:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1156
		{
			yyVAL.str = ""
		}
	case 190:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1160
		{
			yyVAL.str = DistinctStr
		}
	case 191:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1165
		{
			yyVAL.str = ""
		}
	case 192:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1169
		{
			yyVAL.str = StraightJoinHint
		}
	case 193:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1174
		{
			yyVAL.selectExprs = nil
		}
	case 194:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1178
		{
			yyVAL.selectExprs = yyDollar[1].selectExprs
		}
	case 195:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1184
		{
			yyVAL.selectExprs = SelectExprs{yyDollar[1].selectExpr}
		}
	case 196:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1188
		{
			yyVAL.selectExprs = append(yyVAL.selectExprs, yyDollar[3].selectExpr)
		}
	case 197:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1194
		{
			yyVAL.selectExpr = &StarExpr{}
		}
	case 198:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1198
		{
			yyVAL.selectExpr = &AliasedExpr{Expr: yyDollar[1].expr, As: yyDollar[2].colIdent}
		}
	case 199:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1202
		{
			yyVAL.selectExpr = &StarExpr{TableName: TableName{Name: yyDollar[1].tableIdent}}
		}
	case 200:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1206
		{
			yyVAL.selectExpr = &StarExpr{TableName: TableName{Qualifier: yyDollar[1].tableIdent, Name: yyDollar[3].tableIdent}}
		}
	case 201:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1211
		{
			yyVAL.colIdent = ColIdent{}
		}
	case 202:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1215
		{
			yyVAL.colIdent = yyDollar[1].colIdent
		}
	case 203:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1219
		{
			yyVAL.colIdent = yyDollar[2].colIdent
		}
	case 205:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1226
		{
			yyVAL.colIdent = NewColIdent(string(yyDollar[1].bytes))
		}
	case 206:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1231
		{
			yyVAL.tableExprs = TableExprs{&AliasedTableExpr{Expr: TableName{Name: NewTableIdent("dual")}}}
		}
	case 207:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1235
		{
			yyVAL.tableExprs = yyDollar[2].tableExprs
		}
	case 208:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1241
		{
			yyVAL.tableExprs = TableExprs{yyDollar[1].tableExpr}
		}
	case 209:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1245
		{
			yyVAL.tableExprs = append(yyVAL.tableExprs, yyDollar[3].tableExpr)
		}
	case 212:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1255
		{
			yyVAL.tableExpr = yyDollar[1].aliasedTableName
		}
	case 213:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1259
		{
			yyVAL.tableExpr = &AliasedTableExpr{Expr: yyDollar[1].subquery, As: yyDollar[3].tableIdent}
		}
	case 214:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1263
		{
			yyVAL.tableExpr = &ParenTableExpr{Exprs: yyDollar[2].tableExprs}
		}
	case 215:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1269
		{
			yyVAL.aliasedTableName = &AliasedTableExpr{Expr: yyDollar[1].tableName, As: yyDollar[2].tableIdent, Hints: yyDollar[3].indexHints}
		}
	case 216:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1282
		{
			yyVAL.tableExpr = &JoinTableExpr{LeftExpr: yyDollar[1].tableExpr, Join: yyDollar[2].str, RightExpr: yyDollar[3].tableExpr}
		}
	case 217:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1286
		{
			yyVAL.tableExpr = &JoinTableExpr{LeftExpr: yyDollar[1].tableExpr, Join: yyDollar[2].str, RightExpr: yyDollar[3].tableExpr, On: yyDollar[5].expr}
		}
	case 218:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1290
		{
			yyVAL.tableExpr = &JoinTableExpr{LeftExpr: yyDollar[1].tableExpr, Join: yyDollar[2].str, RightExpr: yyDollar[3].tableExpr, On: yyDollar[5].expr}
		}
	case 219:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1294
		{
			yyVAL.tableExpr = &JoinTableExpr{LeftExpr: yyDollar[1].tableExpr, Join: yyDollar[2].str, RightExpr: yyDollar[3].tableExpr}
		}
	case 220:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1299
		{
			yyVAL.empty = struct{}{}
		}
	case 221:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1301
		{
			yyVAL.empty = struct{}{}
		}
	case 222:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1304
		{
			yyVAL.tableIdent = NewTableIdent("")
		}
	case 223:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1308
		{
			yyVAL.tableIdent = yyDollar[1].tableIdent
		}
	case 224:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1312
		{
			yyVAL.tableIdent = yyDollar[2].tableIdent
		}
	case 226:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1319
		{
			yyVAL.tableIdent = NewTableIdent(string(yyDollar[1].bytes))
		}
	case 227:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1325
		{
			yyVAL.str = JoinStr
		}
	case 228:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1329
		{
			yyVAL.str = JoinStr
		}
	case 229:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1333
		{
			yyVAL.str = JoinStr
		}
	case 230:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1337
		{
			yyVAL.str = StraightJoinStr
		}
	case 231:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1343
		{
			yyVAL.str = LeftJoinStr
		}
	case 232:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1347
		{
			yyVAL.str = LeftJoinStr
		}
	case 233:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1351
		{
			yyVAL.str = RightJoinStr
		}
	case 234:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1355
		{
			yyVAL.str = RightJoinStr
		}
	case 235:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1361
		{
			yyVAL.str = NaturalJoinStr
		}
	case 236:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1365
		{
			if yyDollar[2].str == LeftJoinStr {
				yyVAL.str = NaturalLeftJoinStr
			} else {
				yyVAL.str = NaturalRightJoinStr
			}
		}
	case 237:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1375
		{
			yyVAL.tableName = yyDollar[2].tableName
		}
	case 238:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1379
		{
			yyVAL.tableName = yyDollar[1].tableName
		}
	case 239:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1385
		{
			yyVAL.tableName = TableName{Name: yyDollar[1].tableIdent}
		}
	case 240:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1389
		{
			yyVAL.tableName = TableName{Qualifier: yyDollar[1].tableIdent, Name: yyDollar[3].tableIdent}
		}
	case 241:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1394
		{
			yyVAL.indexHints = nil
		}
	case 242:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1398
		{
			yyVAL.indexHints = &IndexHints{Type: UseStr, Indexes: yyDollar[4].colIdents}
		}
	case 243:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1402
		{
			yyVAL.indexHints = &IndexHints{Type: IgnoreStr, Indexes: yyDollar[4].colIdents}
		}
	case 244:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1406
		{
			yyVAL.indexHints = &IndexHints{Type: ForceStr, Indexes: yyDollar[4].colIdents}
		}
	case 245:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1412
		{
			yyVAL.colIdents = []ColIdent{yyDollar[1].colIdent}
		}
	case 246:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1416
		{
			yyVAL.colIdents = append(yyDollar[1].colIdents, yyDollar[3].colIdent)
		}
	case 247:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1421
		{
			yyVAL.expr = nil
		}
	case 248:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1425
		{
			yyVAL.expr = yyDollar[2].expr
		}
	case 249:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1431
		{
			yyVAL.expr = yyDollar[1].expr
		}
	case 250:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1435
		{
			yyVAL.expr = &AndExpr{Left: yyDollar[1].expr, Right: yyDollar[3].expr}
		}
	case 251:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1439
		{
			yyVAL.expr = &OrExpr{Left: yyDollar[1].expr, Right: yyDollar[3].expr}
		}
	case 252:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1443
		{
			yyVAL.expr = &NotExpr{Expr: yyDollar[2].expr}
		}
	case 253:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1447
		{
			yyVAL.expr = &IsExpr{Operator: yyDollar[3].str, Expr: yyDollar[1].expr}
		}
	case 254:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1451
		{
			yyVAL.expr = yyDollar[1].expr
		}
	case 255:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1455
		{
			yyVAL.expr = &Default{ColName: yyDollar[2].str}
		}
	case 256:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1461
		{
			yyVAL.str = ""
		}
	case 257:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1465
		{
			yyVAL.str = string(yyDollar[2].bytes)
		}
	case 258:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1471
		{
			yyVAL.boolVal = BoolVal(true)
		}
	case 259:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1475
		{
			yyVAL.boolVal = BoolVal(false)
		}
	case 260:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1481
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: yyDollar[2].str, Right: yyDollar[3].expr}
		}
	case 261:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1485
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: InStr, Right: yyDollar[3].colTuple}
		}
	case 262:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1489
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: NotInStr, Right: yyDollar[4].colTuple}
		}
	case 263:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1493
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: LikeStr, Right: yyDollar[3].expr, Escape: yyDollar[4].expr}
		}
	case 264:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1497
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: NotLikeStr, Right: yyDollar[4].expr, Escape: yyDollar[5].expr}
		}
	case 265:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1501
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: RegexpStr, Right: yyDollar[3].expr}
		}
	case 266:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1505
		{
			yyVAL.expr = &ComparisonExpr{Left: yyDollar[1].expr, Operator: NotRegexpStr, Right: yyDollar[4].expr}
		}
	case 267:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1509
		{
			yyVAL.expr = &RangeCond{Left: yyDollar[1].expr, Operator: BetweenStr, From: yyDollar[3].expr, To: yyDollar[5].expr}
		}
	case 268:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1513
		{
			yyVAL.expr = &RangeCond{Left: yyDollar[1].expr, Operator: NotBetweenStr, From: yyDollar[4].expr, To: yyDollar[6].expr}
		}
	case 269:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1517
		{
			yyVAL.expr = &ExistsExpr{Subquery: yyDollar[2].subquery}
		}
	case 270:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1523
		{
			yyVAL.str = IsNullStr
		}
	case 271:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1527
		{
			yyVAL.str = IsNotNullStr
		}
	case 272:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1531
		{
			yyVAL.str = IsTrueStr
		}
	case 273:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1535
		{
			yyVAL.str = IsNotTrueStr
		}
	case 274:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1539
		{
			yyVAL.str = IsFalseStr
		}
	case 275:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1543
		{
			yyVAL.str = IsNotFalseStr
		}
	case 276:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1549
		{
			yyVAL.str = EqualStr
		}
	case 277:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1553
		{
			yyVAL.str = LessThanStr
		}
	case 278:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1557
		{
			yyVAL.str = GreaterThanStr
		}
	case 279:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1561
		{
			yyVAL.str = LessEqualStr
		}
	case 280:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1565
		{
			yyVAL.str = GreaterEqualStr
		}
	case 281:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1569
		{
			yyVAL.str = NotEqualStr
		}
	case 282:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1573
		{
			yyVAL.str = NullSafeEqualStr
		}
	case 283:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1578
		{
			yyVAL.expr = nil
		}
	case 284:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1582
		{
			yyVAL.expr = yyDollar[2].expr
		}
	case 285:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1588
		{
			yyVAL.colTuple = yyDollar[1].valTuple
		}
	case 286:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1592
		{
			yyVAL.colTuple = yyDollar[1].subquery
		}
	case 287:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1596
		{
			yyVAL.colTuple = ListArg(yyDollar[1].bytes)
		}
	case 288:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1602
		{
			yyVAL.subquery = &Subquery{yyDollar[2].selStmt}
		}
	case 289:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1608
		{
			yyVAL.exprs = Exprs{yyDollar[1].expr}
		}
	case 290:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1612
		{
			yyVAL.exprs = append(yyDollar[1].exprs, yyDollar[3].expr)
		}
	case 291:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1618
		{
			yyVAL.expr = yyDollar[1].expr
		}
	case 292:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1622
		{
			yyVAL.expr = yyDollar[1].boolVal
		}
	case 293:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1626
		{
			yyVAL.expr = yyDollar[1].colName
		}
	case 294:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1630
		{
			yyVAL.expr = yyDollar[1].expr
		}
	case 295:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1634
		{
			yyVAL.expr = yyDollar[1].subquery
		}
	case 296:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1638
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: BitAndStr, Right: yyDollar[3].expr}
		}
	case 297:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1642
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: BitOrStr, Right: yyDollar[3].expr}
		}
	case 298:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1646
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: BitXorStr, Right: yyDollar[3].expr}
		}
	case 299:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1650
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: PlusStr, Right: yyDollar[3].expr}
		}
	case 300:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1654
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: MinusStr, Right: yyDollar[3].expr}
		}
	case 301:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1658
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: MultStr, Right: yyDollar[3].expr}
		}
	case 302:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1662
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: DivStr, Right: yyDollar[3].expr}
		}
	case 303:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1666
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: IntDivStr, Right: yyDollar[3].expr}
		}
	case 304:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1670
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: ModStr, Right: yyDollar[3].expr}
		}
	case 305:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1674
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: ModStr, Right: yyDollar[3].expr}
		}
	case 306:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1678
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: ShiftLeftStr, Right: yyDollar[3].expr}
		}
	case 307:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1682
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].expr, Operator: ShiftRightStr, Right: yyDollar[3].expr}
		}
	case 308:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1686
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].colName, Operator: JSONExtractOp, Right: yyDollar[3].expr}
		}
	case 309:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1690
		{
			yyVAL.expr = &BinaryExpr{Left: yyDollar[1].colName, Operator: JSONUnquoteExtractOp, Right: yyDollar[3].expr}
		}
	case 310:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1694
		{
			yyVAL.expr = &CollateExpr{Expr: yyDollar[1].expr, Charset: yyDollar[3].str}
		}
	case 311:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1698
		{
			yyVAL.expr = &UnaryExpr{Operator: BinaryStr, Expr: yyDollar[2].expr}
		}
	case 312:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1702
		{
			if num, ok := yyDollar[2].expr.(*SQLVal); ok && num.Type == IntVal {
				yyVAL.expr = num
			} else {
				yyVAL.expr = &UnaryExpr{Operator: UPlusStr, Expr: yyDollar[2].expr}
			}
		}
	case 313:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1710
		{
			if num, ok := yyDollar[2].expr.(*SQLVal); ok && num.Type == IntVal {
				// Handle double negative
				if num.Val[0] == '-' {
					num.Val = num.Val[1:]
					yyVAL.expr = num
				} else {
					yyVAL.expr = NewIntVal(append([]byte("-"), num.Val...))
				}
			} else {
				yyVAL.expr = &UnaryExpr{Operator: UMinusStr, Expr: yyDollar[2].expr}
			}
		}
	case 314:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1724
		{
			yyVAL.expr = &UnaryExpr{Operator: TildaStr, Expr: yyDollar[2].expr}
		}
	case 315:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1728
		{
			yyVAL.expr = &UnaryExpr{Operator: BangStr, Expr: yyDollar[2].expr}
		}
	case 316:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1732
		{
			// This rule prevents the usage of INTERVAL
			// as a function. If support is needed for that,
			// we'll need to revisit this. The solution
			// will be non-trivial because of grammar conflicts.
			yyVAL.expr = &IntervalExpr{Expr: yyDollar[2].expr, Unit: yyDollar[3].colIdent}
		}
	case 321:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1750
		{
			yyVAL.expr = &FuncExpr{Name: yyDollar[1].colIdent, Exprs: yyDollar[3].selectExprs}
		}
	case 322:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1754
		{
			yyVAL.expr = &FuncExpr{Name: yyDollar[1].colIdent, Distinct: true, Exprs: yyDollar[4].selectExprs}
		}
	case 323:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1758
		{
			yyVAL.expr = &FuncExpr{Qualifier: yyDollar[1].tableIdent, Name: yyDollar[3].colIdent, Exprs: yyDollar[5].selectExprs}
		}
	case 324:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1768
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("left"), Exprs: yyDollar[3].selectExprs}
		}
	case 325:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1772
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("right"), Exprs: yyDollar[3].selectExprs}
		}
	case 326:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1776
		{
			yyVAL.expr = &ConvertExpr{Expr: yyDollar[3].expr, Type: yyDollar[5].convertType}
		}
	case 327:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1780
		{
			yyVAL.expr = &ConvertExpr{Expr: yyDollar[3].expr, Type: yyDollar[5].convertType}
		}
	case 328:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:1784
		{
			yyVAL.expr = &ConvertUsingExpr{Expr: yyDollar[3].expr, Type: yyDollar[5].str}
		}
	case 329:
		yyDollar = yyS[yypt-9 : yypt+1]
		//line sql.y:1788
		{
			yyVAL.expr = &MatchExpr{Columns: yyDollar[3].selectExprs, Expr: yyDollar[7].expr, Option: yyDollar[8].str}
		}
	case 330:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:1792
		{
			yyVAL.expr = &GroupConcatExpr{Distinct: yyDollar[3].str, Exprs: yyDollar[4].selectExprs, OrderBy: yyDollar[5].orderBy, Separator: yyDollar[6].str}
		}
	case 331:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:1796
		{
			yyVAL.expr = &CaseExpr{Expr: yyDollar[2].expr, Whens: yyDollar[3].whens, Else: yyDollar[4].expr}
		}
	case 332:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1800
		{
			yyVAL.expr = &ValuesFuncExpr{Name: yyDollar[3].colIdent}
		}
	case 333:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1810
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("current_timestamp")}
		}
	case 334:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1814
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("utc_timestamp")}
		}
	case 335:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1818
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("utc_time")}
		}
	case 336:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1822
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("utc_date")}
		}
	case 337:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1827
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("localtime")}
		}
	case 338:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1832
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("localtimestamp")}
		}
	case 339:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1837
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("current_date")}
		}
	case 340:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1842
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("current_time")}
		}
	case 343:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1856
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("if"), Exprs: yyDollar[3].selectExprs}
		}
	case 344:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1860
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("database"), Exprs: yyDollar[3].selectExprs}
		}
	case 345:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1864
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("mod"), Exprs: yyDollar[3].selectExprs}
		}
	case 346:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1868
		{
			yyVAL.expr = &FuncExpr{Name: NewColIdent("replace"), Exprs: yyDollar[3].selectExprs}
		}
	case 347:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1874
		{
			yyVAL.str = ""
		}
	case 348:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1878
		{
			yyVAL.str = BooleanModeStr
		}
	case 349:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1882
		{
			yyVAL.str = NaturalLanguageModeStr
		}
	case 350:
		yyDollar = yyS[yypt-7 : yypt+1]
		//line sql.y:1886
		{
			yyVAL.str = NaturalLanguageModeWithQueryExpansionStr
		}
	case 351:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1890
		{
			yyVAL.str = QueryExpansionStr
		}
	case 352:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1896
		{
			yyVAL.str = string(yyDollar[1].bytes)
		}
	case 353:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1900
		{
			yyVAL.str = string(yyDollar[1].bytes)
		}
	case 354:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1906
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 355:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1910
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal, Charset: yyDollar[3].str, Operator: CharacterSetStr}
		}
	case 356:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:1914
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal, Charset: string(yyDollar[3].bytes)}
		}
	case 357:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1918
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
		}
	case 358:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1922
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 359:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1926
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
			yyVAL.convertType.Length = yyDollar[2].LengthScaleOption.Length
			yyVAL.convertType.Scale = yyDollar[2].LengthScaleOption.Scale
		}
	case 360:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1932
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
		}
	case 361:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1936
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 362:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1940
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
		}
	case 363:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1944
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
		}
	case 364:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1948
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes), Length: yyDollar[2].optVal}
		}
	case 365:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1952
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
		}
	case 366:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1956
		{
			yyVAL.convertType = &ConvertType{Type: string(yyDollar[1].bytes)}
		}
	case 367:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1961
		{
			yyVAL.expr = nil
		}
	case 368:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1965
		{
			yyVAL.expr = yyDollar[1].expr
		}
	case 369:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1970
		{
			yyVAL.str = string("")
		}
	case 370:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1974
		{
			yyVAL.str = " separator '" + string(yyDollar[2].bytes) + "'"
		}
	case 371:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:1980
		{
			yyVAL.whens = []*When{yyDollar[1].when}
		}
	case 372:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1984
		{
			yyVAL.whens = append(yyDollar[1].whens, yyDollar[2].when)
		}
	case 373:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:1990
		{
			yyVAL.when = &When{Cond: yyDollar[2].expr, Val: yyDollar[4].expr}
		}
	case 374:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:1995
		{
			yyVAL.expr = nil
		}
	case 375:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:1999
		{
			yyVAL.expr = yyDollar[2].expr
		}
	case 376:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2005
		{
			yyVAL.colName = &ColName{Name: yyDollar[1].colIdent}
		}
	case 377:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2009
		{
			yyVAL.colName = &ColName{Qualifier: TableName{Name: yyDollar[1].tableIdent}, Name: yyDollar[3].colIdent}
		}
	case 378:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:2013
		{
			yyVAL.colName = &ColName{Qualifier: TableName{Qualifier: yyDollar[1].tableIdent, Name: yyDollar[3].tableIdent}, Name: yyDollar[5].colIdent}
		}
	case 379:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2019
		{
			yyVAL.expr = NewStrVal(yyDollar[1].bytes)
		}
	case 380:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2023
		{
			yyVAL.expr = NewHexVal(yyDollar[1].bytes)
		}
	case 381:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2027
		{
			yyVAL.expr = NewIntVal(yyDollar[1].bytes)
		}
	case 382:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2031
		{
			yyVAL.expr = NewFloatVal(yyDollar[1].bytes)
		}
	case 383:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2035
		{
			yyVAL.expr = NewHexNum(yyDollar[1].bytes)
		}
	case 384:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2039
		{
			yyVAL.expr = NewValArg(yyDollar[1].bytes)
		}
	case 385:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2043
		{
			yyVAL.expr = &NullVal{}
		}
	case 386:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2049
		{
			// TODO(sougou): Deprecate this construct.
			if yyDollar[1].colIdent.Lowered() != "value" {
				yylex.Error("expecting value after next")
				return 1
			}
			yyVAL.expr = NewIntVal([]byte("1"))
		}
	case 387:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2058
		{
			yyVAL.expr = NewIntVal(yyDollar[1].bytes)
		}
	case 388:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2062
		{
			yyVAL.expr = NewValArg(yyDollar[1].bytes)
		}
	case 389:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2067
		{
			yyVAL.exprs = nil
		}
	case 390:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2071
		{
			yyVAL.exprs = yyDollar[3].exprs
		}
	case 391:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2076
		{
			yyVAL.expr = nil
		}
	case 392:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2080
		{
			yyVAL.expr = yyDollar[2].expr
		}
	case 393:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2085
		{
			yyVAL.orderBy = nil
		}
	case 394:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2089
		{
			yyVAL.orderBy = yyDollar[3].orderBy
		}
	case 395:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2095
		{
			yyVAL.orderBy = OrderBy{yyDollar[1].order}
		}
	case 396:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2099
		{
			yyVAL.orderBy = append(yyDollar[1].orderBy, yyDollar[3].order)
		}
	case 397:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2105
		{
			yyVAL.order = &Order{Expr: yyDollar[1].expr, Direction: yyDollar[2].str}
		}
	case 398:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2110
		{
			yyVAL.str = AscScr
		}
	case 399:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2114
		{
			yyVAL.str = AscScr
		}
	case 400:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2118
		{
			yyVAL.str = DescScr
		}
	case 401:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2123
		{
			yyVAL.limit = nil
		}
	case 402:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2127
		{
			yyVAL.limit = &Limit{Rowcount: yyDollar[2].expr}
		}
	case 403:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:2131
		{
			yyVAL.limit = &Limit{Offset: yyDollar[2].expr, Rowcount: yyDollar[4].expr}
		}
	case 404:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:2135
		{
			yyVAL.limit = &Limit{Offset: yyDollar[4].expr, Rowcount: yyDollar[2].expr}
		}
	case 405:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2140
		{
			yyVAL.str = ""
		}
	case 406:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2144
		{
			yyVAL.str = ForUpdateStr
		}
	case 407:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:2148
		{
			yyVAL.str = ShareModeStr
		}
	case 408:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2161
		{
			yyVAL.ins = &Insert{Rows: yyDollar[2].values}
		}
	case 409:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2165
		{
			yyVAL.ins = &Insert{Rows: yyDollar[1].selStmt}
		}
	case 410:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2169
		{
			// Drop the redundant parenthesis.
			yyVAL.ins = &Insert{Rows: yyDollar[2].selStmt}
		}
	case 411:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:2174
		{
			yyVAL.ins = &Insert{Columns: yyDollar[2].columns, Rows: yyDollar[5].values}
		}
	case 412:
		yyDollar = yyS[yypt-4 : yypt+1]
		//line sql.y:2178
		{
			yyVAL.ins = &Insert{Columns: yyDollar[2].columns, Rows: yyDollar[4].selStmt}
		}
	case 413:
		yyDollar = yyS[yypt-6 : yypt+1]
		//line sql.y:2182
		{
			// Drop the redundant parenthesis.
			yyVAL.ins = &Insert{Columns: yyDollar[2].columns, Rows: yyDollar[5].selStmt}
		}
	case 414:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2189
		{
			yyVAL.columns = Columns{yyDollar[1].colIdent}
		}
	case 415:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2193
		{
			yyVAL.columns = Columns{yyDollar[3].colIdent}
		}
	case 416:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2197
		{
			yyVAL.columns = append(yyVAL.columns, yyDollar[3].colIdent)
		}
	case 417:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:2201
		{
			yyVAL.columns = append(yyVAL.columns, yyDollar[5].colIdent)
		}
	case 418:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2206
		{
			yyVAL.updateExprs = nil
		}
	case 419:
		yyDollar = yyS[yypt-5 : yypt+1]
		//line sql.y:2210
		{
			yyVAL.updateExprs = yyDollar[5].updateExprs
		}
	case 420:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2216
		{
			yyVAL.values = Values{yyDollar[1].valTuple}
		}
	case 421:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2220
		{
			yyVAL.values = append(yyDollar[1].values, yyDollar[3].valTuple)
		}
	case 422:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2226
		{
			yyVAL.valTuple = yyDollar[1].valTuple
		}
	case 423:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2230
		{
			yyVAL.valTuple = ValTuple{}
		}
	case 424:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2236
		{
			yyVAL.valTuple = ValTuple(yyDollar[2].exprs)
		}
	case 425:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2242
		{
			if len(yyDollar[1].valTuple) == 1 {
				yyVAL.expr = &ParenExpr{yyDollar[1].valTuple[0]}
			} else {
				yyVAL.expr = yyDollar[1].valTuple
			}
		}
	case 426:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2252
		{
			yyVAL.updateExprs = UpdateExprs{yyDollar[1].updateExpr}
		}
	case 427:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2256
		{
			yyVAL.updateExprs = append(yyDollar[1].updateExprs, yyDollar[3].updateExpr)
		}
	case 428:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2262
		{
			yyVAL.updateExpr = &UpdateExpr{Name: yyDollar[1].colName, Expr: yyDollar[3].expr}
		}
	case 429:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2268
		{
			yyVAL.setExprs = SetExprs{yyDollar[1].setExpr}
		}
	case 430:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2272
		{
			yyVAL.setExprs = append(yyDollar[1].setExprs, yyDollar[3].setExpr)
		}
	case 431:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2278
		{
			yyVAL.setExpr = &SetExpr{Name: yyDollar[1].colIdent, Expr: yyDollar[3].expr}
		}
	case 432:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2282
		{
			yyVAL.setExpr = &SetExpr{Name: NewColIdent(string(yyDollar[1].bytes)), Expr: yyDollar[2].expr}
		}
	case 434:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2289
		{
			yyVAL.bytes = []byte("charset")
		}
	case 436:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2296
		{
			yyVAL.expr = NewStrVal([]byte(yyDollar[1].colIdent.String()))
		}
	case 437:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2300
		{
			yyVAL.expr = NewStrVal(yyDollar[1].bytes)
		}
	case 438:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2304
		{
			yyVAL.expr = &Default{}
		}
	case 441:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2314
		{
			yyVAL.byt = 0
		}
	case 442:
		yyDollar = yyS[yypt-2 : yypt+1]
		//line sql.y:2316
		{
			yyVAL.byt = 1
		}
	case 443:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2319
		{
			yyVAL.byt = 0
		}
	case 444:
		yyDollar = yyS[yypt-3 : yypt+1]
		//line sql.y:2321
		{
			yyVAL.byt = 1
		}
	case 445:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2324
		{
			yyVAL.str = ""
		}
	case 446:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2326
		{
			yyVAL.str = IgnoreStr
		}
	case 447:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2330
		{
			yyVAL.empty = struct{}{}
		}
	case 448:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2332
		{
			yyVAL.empty = struct{}{}
		}
	case 449:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2334
		{
			yyVAL.empty = struct{}{}
		}
	case 450:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2336
		{
			yyVAL.empty = struct{}{}
		}
	case 451:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2338
		{
			yyVAL.empty = struct{}{}
		}
	case 452:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2340
		{
			yyVAL.empty = struct{}{}
		}
	case 453:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2342
		{
			yyVAL.empty = struct{}{}
		}
	case 454:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2344
		{
			yyVAL.empty = struct{}{}
		}
	case 455:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2346
		{
			yyVAL.empty = struct{}{}
		}
	case 456:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2348
		{
			yyVAL.empty = struct{}{}
		}
	case 457:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2351
		{
			yyVAL.empty = struct{}{}
		}
	case 458:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2353
		{
			yyVAL.empty = struct{}{}
		}
	case 459:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2355
		{
			yyVAL.empty = struct{}{}
		}
	case 460:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2359
		{
			yyVAL.empty = struct{}{}
		}
	case 461:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2361
		{
			yyVAL.empty = struct{}{}
		}
	case 462:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2365
		{
			yyVAL.colIdent = NewColIdent(string(yyDollar[1].bytes))
		}
	case 463:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2369
		{
			yyVAL.colIdent = NewColIdent(string(yyDollar[1].bytes))
		}
	case 465:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2376
		{
			yyVAL.colIdent = NewColIdent(string(yyDollar[1].bytes))
		}
	case 466:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2382
		{
			yyVAL.tableIdent = NewTableIdent(string(yyDollar[1].bytes))
		}
	case 467:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2386
		{
			yyVAL.tableIdent = NewTableIdent(string(yyDollar[1].bytes))
		}
	case 469:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2393
		{
			yyVAL.tableIdent = NewTableIdent(string(yyDollar[1].bytes))
		}
	case 624:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2573
		{
			if incNesting(yylex) {
				yylex.Error("max nesting level reached")
				return 1
			}
		}
	case 625:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2582
		{
			decNesting(yylex)
		}
	case 626:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2587
		{
			forceEOF(yylex)
		}
	case 627:
		yyDollar = yyS[yypt-0 : yypt+1]
		//line sql.y:2592
		{
			forceEOF(yylex)
		}
	case 628:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2596
		{
			forceEOF(yylex)
		}
	case 629:
		yyDollar = yyS[yypt-1 : yypt+1]
		//line sql.y:2600
		{
			forceEOF(yylex)
		}
	}
	goto yystack /* stack new state and value */
}
